New & Changed Features for OrangeHRM ver 5.8.1
    Supported Environments
    -----------
	- PHP - 7.4 to 8.4
	- MariaDB - 5.5 to 12.0
	- MySQL - 5.5 to 9.4

    Bug Fixes
    ---------
    - Security improvements

New & Changed Features for OrangeHRM ver 5.8
    New Features/Changes
    -----------
    - Supported Environments
        - PHP - 7.4 to 8.4
        - MariaDB - 5.5 to 12.0
        - MySQL - 5.5 to 9.4

    Bug Fixes
    ---------
    - Security improvements

New & Changed Features for OrangeHRM ver 5.7
    New Features/Changes
    -----------
    - Language Package Import
        - Allowing OrangeHRM Starter users to import translations via XLIFF files
    - Supported Environments
        - PHP - 7.4 to 8.3
        - MariaDB - 5.5 to 11.4
        - MySQL - 5.5 to 8.4

    Bug Fixes
    ---------
    - Several API defects fixed
    - https://github.com/orangehrm/orangehrm/issues/1853 (installation failure on MySQL 8.4)

Changed Features for OrangeHRM ver 5.6.1
    Changes
    -----------
    - Security
        - Update BE and FE libraries to latest minor versions
        - Sanitize SVG uploads in Corporate Branding
        - Password strength validation in CLI installer
        - Update Docker PHP image
    - Supported Environments
        - PHP - 7.4 to 8.3
        - MariaDB - 5.5 to 11.3
        - MySQL - 5.5 to 8.3

     Bug Fixes
     -----------
     - https://github.com/orangehrm/orangehrm/issues/1817 (Support ONLY_FULL_GROUP_BY sql_mode throughout the application)
     - https://github.com/orangehrm/orangehrm/issues/1780 (Handle PHP timeout on Windows environments)

New & Changed Features for OrangeHRM ver 5.6
    New Features/Changes
    -----------
    - Social Media Authentication
        - Allowing OrangeHRM Starter users to create and manage alternative logins using different OpenID Connect providers such as Google.
    - License Upgrade to GPLv3
        - Product License upgrade to GNU General Public License v3.0
    - Supported Environments
        - PHP - 7.4 to 8.3
        - MariaDB - 5.5 to 11.2
        - MySQL - 5.5 to 8.2

    Bug Fixes
    ---------
    - https://github.com/orangehrm/orangehrm/issues/1731

New & Changed Features for OrangeHRM ver 5.5
    New Feature
    -----------
    - Claim Module
        - Allowing OrangeHRM Opensource 5x users to create and manage Claims
    - Supported Environments
        - PHP - 7.4 to 8.2
        - MariaDB - 5.5 to 10.11
        - MySQL - 5.5 to 8.0

    Bug Fixes
    ---------
    - https://github.com/orangehrm/orangehrm/issues/1684
    - https://github.com/orangehrm/orangehrm/issues/1698
    - https://github.com/orangehrm/orangehrm/issues/1665

New & Changed Features for OrangeHRM ver 5.4
    New Feature
    -----------
    - Mobile Compatibility
        - Allowing OrangeHRM Starter 5x users to access and utilize the system through OrangeHRM Open Source mobile app
    - Help Portal Integration
        - OrangeHRM Starter 5x users can now easily access Starter Help Portal via the application.
    - OAuth 2.0 support
        - Allowing secure and standardized authorization for third-party integrations, ensuring smooth and secure data exchange between OrangeHRM and other applications.
    - Password Policy Enforcement
        - Enables admins to configure password policies for users and automatically enforce those policies whenever a user creates a new password.
    - Supported Environments
        - PHP - 7.4 to 8.2
        - MariaDB - 5.5 to 10.11
        - MySQL - 5.5 to 8.0

    Bug Fixes
    ---------
    - https://github.com/orangehrm/orangehrm/issues/1622
    - https://github.com/orangehrm/orangehrm/issues/1584
    - https://github.com/orangehrm/orangehrm/issues/1583

New & Changed Features for OrangeHRM ver 5.3
    New Feature
    -----------
    - Buzz Module
        - Allow employees to share thoughts, pictures, and videos within the organization
        - The employees can engage with posts by liking, commenting, or sharing
        - Display upcoming work anniversaries of the employees
    - Supported Environments
        - PHP - 7.4 to 8.2
        - MariaDB - 5.5 to 10.10
        - MySQL - 5.5 to 8.0

    Bug Fixes
    ---------
    - https://github.com/orangehrm/orangehrm/issues/1471
    - https://github.com/orangehrm/orangehrm/issues/1500
    - https://github.com/orangehrm/orangehrm/issues/1517

New & Changed Features for OrangeHRM ver 5.2
    New Feature
    -----------
    - Technology stack upgrade and New UI/UX compliance with Orange eXperience Design (OXD) Standards upgraded for;
        - Dashboard
        - Data Encryption support
        - Custom Language Packages
    - LDAP support
    - Supported Environments
        - PHP - 7.4 to 8.1
        - MariaDB - 5.5 to 10.9
        - MySQL - 5.5 to 5.7

    Bug Fixes
    ---------
    - https://github.com/orangehrm/orangehrm/issues/1459
    - https://github.com/orangehrm/orangehrm/issues/1457
    - https://github.com/orangehrm/orangehrm/issues/1451

New & Changed Features for OrangeHRM ver 5.1
    New Feature
    -----------
    - New UI/UX in compliance with the Orange eXperience Design (OXD) Standards
        - Performance, Recruitment, Corporate Directory, Corporate Branding
    - Date format support
    - Supported Environments
        - PHP - 7.4 to 8.1
        - MariaDB - 5.5 to 10.8
        - MySQL - 5.5 to 5.7

    Backward Compatibility Break
    ----------------------------
    - Users are required to configure their corporate branding once they upgraded from 4.x instance to 5.1 version.
      Corporate branding is facilitated with additional enhancements.

    Bug Fixes
    ---------
    - https://github.com/orangehrm/orangehrm/issues/1299
    - https://github.com/orangehrm/orangehrm/issues/1272
    - https://github.com/orangehrm/orangehrm/issues/1305

New & Changed Features for OrangeHRM ver 5.0
    New Feature
    -----------
    - Supports Admin, PIM, Leave, Time, Attendance and Maintenance modules.
    - Technology stack upgrade (Symfony 5.x, Doctrine 2.x, Vue 3, REST APIs & SaaS)
    - New UI/UX in compliance with the Orange eXperience Design (OXD) Standards
    - PHP 7.4 to 8.1 Support.
    - Convenient web installer and upgrader to get started seamlessly
    - Supported Environments
        - PHP - 7.4 to 8.1
        - MariaDB - 5.5 to  10.7
        - MySQL - 5.5 to 5.7

    Known Issues
    ------------
    Following modules and add-ons are not supported in  OrangeHRM Starter version 5.0

    Modules
         - Recruitment
         - Performance
         - Buzz
         - Directory

    Add-Ons
         - LDAP
         - Claim add-on
         - Toggl add-on

    Other features
         - Corporate Branding
         - Dashboard
         - Marketplace
         - Custom Language Packages
         - Custom Date localizations (except YYYY-MM-DD)
         - OrangeHRM Starter mobile app
         - Social media authentication

New & Changed Features for OrangeHRM ver 5.0-beta
    New Feature
    -----------
    Upgrade the technology stack
     - Symfony 5.x
     - Doctrine 2.x
     - REST API's
     - Vue 3
     - Sass

     Support with PHP 7.4 & 8.0

     Availability of following modules as per 4.9 feature scope
     - Admin
     - PIM
     - Leave

     Features that will be released in 5.0 in Admin, & PIM
     - Localization, Language support, & Social media authentication
     - PIM - Report, Custom fields data availability in the report.

New & Changed Features for OrangeHRM ver 4.9
    New Feature
    -----------
    Corporate Branding
      - It allows admin to customize the OrangeHRM system with their organization's colors, company logo, and banners.
      - Users who have purchased the addon will be able to use it without expiration upon upgrading with 4.9 system.
    Environment Compatability with Maria DB 10.6

New & Changed Features for OrangeHRM ver 4.8
    New Feature
    -----------
    Help portal integration: Employees and admin can access the user guide via the system.

    Bug Fixes
    ---------
    Security fix [CVE-2021-28051]

New & Changed Features for OrangeHRM ver 4.7
    New Features
    ------------
    OrangeHRM Open Source Mobile App Version 2.0 is released with the following features.
    - Employees to Punch In/Out the attendance records
    - Employees to view their attendance records summary and details
    - Admin / Supervisor to view their employees' attendance summary and details

New & Changed Features for OrangeHRM ver 4.6.0.1
    Bug Fixes
    ---------
    Security fix [CVE-2020-29437]

New & Changed Features for OrangeHRM ver 4.6
    New Features
    ------------
    Admin can create the language pack and translate the words to reflect in OrangeHRM System.
    - Admin creates a new language package.
    - Admin filter the words by the module to translate the words in those modules only.
    - Admin exports the translated language pack to share with the OrangeHRM community.

    Bug Fixes
    ------------
    Code improvements to enhance the security of the application.

New & Changed Features for OrangeHRM ver 4.5
    New Features
    ------------
    Mobile app 1.0 version release with leave features
    - Request for leave/time off on the go
    - Check available balances of your leave entitlements before applying for a leave.
    - Supervisors can approve leave requests of their employees
    - Assign leave on behalf of your employees when they cannot make it to the office

New & Changed Features for OrangeHRM ver 4.4
    New Features
    ------------
    Buzz available to all users. It creates a collaborative workspace, and increase engagement.
        - Employees can share thoughts, pictures, and videos.
        - Employees can like, dislike, comment, and share others' posts.
        - Shows the upcoming work anniversaries of the employees.
        - Admin can delete the posts
        - Employees can view the most commented, liked posts.

New & Changed Features for OrangeHRM ver 4.3.5
    Bug Fixes
    ------------
    Sendmail email not sending issue. Git Issue #604
    Quick start guide points to non existing resource. Git Issue #602
    Dockerfile build failure. Git Issue #601 #407
    REST API bug in LeaveEntitlementAPI->validateLeavePeriods(). Git Issue #599
    REST API get leave entitlement forces optional parameter. Git Issue #549
    Errors upgrading from 3.3.2 to 4.3.4 because of issue in database character encoding. Git Issue #612
    Errors upgrading from 3.1.1 to 4.3.4. Git Issue #595
    CSS break issue in login page. Git Issue #611 #584
    Error thrown when installing in Windows environment due to directory path issue. Git Issue #607
    Cannot login if the system configured with french language. Username and Password fields are not typable.
    When login to the system through Google alternative login, user redirect to an internal error page.

New & Changed Features for OrangeHRM ver 4.3.4
    New Features
    ------------
    ESS user to subscribe OrangeHRM updates
    Code Enhancements: JQuery library upgraded to version 3.4.1

    Bug Fixes
    ------------
    Warning message is shown when apply to leave using a specific time option. git Issue #581
    Leave gets approved when approving the request which contains canceled leave request. git Issue #576

New & Changed Features for OrangeHRM ver 4.3.3
    New Features
    ------------
    Upgrade supportability to upgrade the addons with latest versions.
    Corporate Branding Improvements
        - Admin can install the corporate branding and configure their organization logo and theme colors.

    Bug Fixes
    ---------
    Code Improvements

New & Changed Features for OrangeHRM ver 4.3.2
    New Features
    ------------
    Claim addon :-
        - Employee submit claims and supervisor/admin approves.
        - Admin / Supervisor assign claims to employees.
        - Email notifications on the apply and approve.
        - Admin manage claim types & event types.
    Compatibility with PHP 7.3
    Compatibility with MariaDB 10.4.6

    Bug Fixes
    ---------
    Security fix [CVE-2019-12839]

New & Changed Features for OrangeHRM ver 4.3.1
    New Features
    ------------
    Reset forgotten password
    Compatibility with PHP 7.2.16
    Compatibility with MySQL 5.7.24
    Compatibility with MariaDB 10.3.14

    Bug Fixes
    ---------
    Pending leave request is not showing in the dashboard for admin or supervisor git Issue #470
    Google OpenID Support git Issue #472 & #222
    French Add User not working git Issue #452

New & Changed Features for OrangeHRM ver 4.3
    New Features
    ------------
    Market Place
        - Install or uninstall free add-on by admin users
        - Request paid add-on by admin users
        - View all compatible add-ons by all users
    Bug Fixes
    ---------
    French Add User not working git Issue #452

New & Changed Features for OrangeHRM ver 4.2.0.1
    Bug Fixes
    ---------
    Remove HTTPS restriction introduced in OrangeHRM 4.2 release
        - Revert secure cookie attribute of session cookie
    Add SimpleXML modules to pre-requisites check

New & Changed Features for OrangeHRM ver 4.2
    New Features
    ------------
    Introduce maintenance module to achieve GDPR compliance
        - Purge employee records
        - Purge candidate records
        - Access employee records
    Security enhancements
        - Update .htaccess restrictions
        - Improve CSRF token validation
        - Resolve Path-Based vulnerability
        - Enable secure cookie attribute to application cookie
    Enhancement on OS installation error messages

    Bug Fixes
    ---------
    Verify installation supports in different mysql ports
    Verify if pdo/mysqli has been enabled during installation #361

    Removed Features
    ----------------
    Remove unix_socket support at the installation

New & Changed Features for OrangeHRM ver 4.1.2.1
   Bug Fixes
   ------------
    Installation fails if cURL is not enabled
    Resolved issue with relative paths running into an error in certain environments
    Resolved issue with supported environment version verification during installation

New & Changed Features for OrangeHRM ver 4.1.2
    New Features
    ------------
    Enhancement of system configuration wizard during installation. Setup instance with user entered data during installation.
        Supported language packs
        -English
        -French
        -German
        -Spanish (Costa Rica)
        -Spanish
        -Dutch
        -Chinese (Traditional Han)
        -Chinese (Simplified Han)
    Support of cli installer

    Bug Fixes
    ------------
    "Csrf token validation failed" message appears in login screen even after trying to login with valid credentials git issue #247
    Incorrect version number in config file git issue #262
    Cannot install in mysql 5.7.23, supporting version is equal or lesser version than 5.7.22
    Web installer: "Help" link should be changed with a new guide
    System becomes inaccessible after changing password by accessing the change password link

New & Changed Features for OrangeHRM ver 4.1.1
    New Features
    ------------
    Verification of supported environment during the installation.
        -Supported php version range
            -Minimum version: 5.6
            -Maximum version: 7.25
        -Supported MySQL Version Range
            -Minimum version: 5.5
            -Maximum version: 5.7.22
        -Supported MariaDB Version Range
            -Minimum version: 5.5
            -Maximum version: 10.3.7
    Usability improvement when adding user. Shows a message on adding a user when there are no employees added to the system.

    Bug Fixes
    ------------
    Recruitment - vacancy page is crashed when a hiring manager is deleted in the system.
    Blank page when refreshing the login page after entering the invalid credentials.
    Leave is assigned as half day when specific time option is chosen for "End day - partial day" option
    Leave - internal error is occurring when admin enters lengthy integer when adding an entitlement.
    Pim-membership: does not add multiple records for a selected membership type to an employee
    Recruitment - sorted by candidate list screen is leading to crash page when vacancy list is open in another tab.
    Google openid provider not working in 4.1 #git issue 222
    Can not install using web installer if the database is on mariadb 10.2
    Unable to install the build for php 7.2 with any mysql version.

New & Changed Features for OrangeHRM ver 4.1
    New Features
    ------------
    Integration with toggl. Users can sync the time entries tracked in toggl to orangehrm time module.
    Enforcement of having a strong password for the user account.
    Compatibility with ldap add-on
    Environment compatibility with php 7.1 & mariadb 10.2
    Security Fixes

New & Changed Features for OrangeHRM ver 4.0
    New Features
    ------------
    Compatibility with PHP 7.1 & Maria DB 10.1
    Enabling REST APIs in Admin, PIM, Leave & Time

New & Changed Features for OrangeHRM ver 3.3.3
    Security Fixes

New & Changed Features for OrangeHRM ver 3.3.2
    Security Fixes

New & Changed Features for OrangeHRM ver 3.3.1
    Security Fixes

New & Changed Features for OrangeHRM ver 3.3
    New Features
    ------------
    Introducing Corporate Directory
    Support for login with OpenID & Google+ authentication
    Web services
    Bug Fixes and Security Fixes

New & Changed Features for OrangeHRM ver 3.2.1
    Bug Fixes

New & Changed Features for OrangeHRM ver 3.2
    New Features
    ------------
    Enhancement in Performance module
    Introducing of Dashboard Plugin
    Introducing Performance Tracker Plugin

New & Changed Features for OrangeHRM ver 3.1.2
    New Features
    ------------
    Changed Registration page during installation to a much simpler one
    Removed 'Help' and 'Join Community' items from the application header
    Added 'About' menu item to the 'welcome' menu, which contains logout and change password

New & Changed Features for OrangeHRM ver 3.1.1
    New Features
    ------------
    Improved support for configurable authorization.
    Bug Fixes

New & Changed Features for OrangeHRM ver 3.1
    New Features
    ------------
    Ability to apply for half day / partial day leave for a single day or range of days
    Ability to specify work day start/end time for workshifts
    Security fixes in all modules

New & Changed Features for OrangeHRM ver 3.0.1
    New Features
    ------------
    Upgrader from 2.7.1 available
    Configurable home page and module default page

    Bug Fixes
    ---------
    0004716 - Employee auto completion records are not loaded with expected width in Leave Entitlements and Usage Report search page
    0004659 - It doesn't give any result when viewing the leave list by selecting the "All" check box
    0004715 - If employee is not assigned to a defined Location, Those employee are not shown at Leave Entitlements and Usage Report
    0004379 - Assign Leave->There should be a confirmation message if the leave balance become minus after assigning
    0004895 - When assigning leave for 3 hours and 5 hours for a same leave type, leave balance is given as -1.01 (should be -1))
    0004929 - Although a day has set as "Half Day", an employee can apply for leave up to 8 hours (within more than one time)
    0004958 - If Location defined in the system, we can't add leave entitlement for all employees
    0004957 - Deleted leave type display without having deleted prefix in Employee Entitlements
    0004956 - Can't Apply/Assign leave after upgrade and change the date format
    0004959 - Leave Periods are not properly upgraded if it is not default period
    0004967 - It shows encrypted value for salary when encryption enabled
    0005028 - Email configuration password is showing when install 2.7.1 with encrypt mode
    0004395 - When employee applies for leaves for multiple days, it allows to specify time as well
            - Show progress dialog when adding entitlement to a single employee.
            - Show required asterix in leave entitlements and usage report
            - Changes to "Leave Entitlements and Usage Report": Entitlements column is now a link to "Employee Entitlements".  Values with 0.00 in columns are also links.
            - Fix validation of employee name field in bulk assign entitlements mode.
            - Remove permission to admin menu from project admins since project menu is now under time module
            - fix link to leave entitlements from my leave entitlements and usage report
            - Add top level jobs.php to redirect to vacancy page for backwards compatibility
            - Performance->Reviews as ESS users. Search & Cancel buttons are not working for ESS users

New & Changed Features for OrangeHRM ver 3.0

    New Features
    ------------
    All UI's converted to new UI theme
    New implementation of open source leave module

    Changes
    -------
    Email log is moved to symfony/log/email.log
    When adding subscribers to email notifications, display notification name in heading.

    Bug Fixes
    0000415 - [recruitmentApply] - When have a long sentence for description of vacancy, it display in one line all over the page till end
    0000414 - Review Period-> When date format is long,it displayed in 3 lines
    0000413 - [ Time -> Timesheet]No records Found Message is not converted in view timesheet
    0000412 - [AddJobVacancy] - 'Should be less than 40000 characters' message appears inside text box
    0000411 - Employee list: Supervisor name doesn't show the middle name in the list
    0000410 - [viewJobDetails] - When take the mouse over the record, it doesn't get selected
    0000409 - [CompanyStructure] - Validation messages are not cleared properly.
    0000408 - Custom Fields: Delete confirmation pop-up: Two sentences looks like a broken sentence
    0000407 - [Pim->listCustomFields]- Drop down values for custom fields should be in the tab order in PIM
    0000406 - [PIM -> Immigration] - "Assigned Immigration Documents" need to be renamed as "Assigned Immigration Records"
    0000405 - [PIM->Memberships] - Membership – Tab should be renamed as Memberships.
    0000404 - [PIM -> Attachment Comment] - Length validation is appearing in middle of the text box
    0000403 - [Recruitment/jobInterview] - Required validation appears near "Interviewer Name" text box.
    0000402 - [Recruitment/jobInterview] - "Type for hints" help text is missing in newly added text box.
    0000401 - [Performance/Review] - "Reject" and "Approve" buttons in detailed review form is not enabled in view mode
    0000400 - [Performance/Review] - Submit Button is not enabled in detailed review form view mode
    0000399 - Unicode characters are displayed not as it is in following lists in PIM > Qualification
    0000398 - Pagination is not implemented in Admin > Project Info > Project list
    0000397 - [Performance/saveReview]- "When save review without having KPI's defined for job title,error message is not correct
    0000396 - [Admin/saveProject]- When click Edit , it take a long time for 'Add Customer' link to be appeared.
    0000395 - Reset doesn't clear the validation message of test mail address field in email configuration.
    0000394 - Login Details, Status * should be 'Enable' by default
    0000390 - Direct deposit Detail-> Account Number is not properly display when add special values
    0000389 - Job title is not properly display in Add KPI and KPI List
    0000388 - [XSS Injection] - XSS attacks is possible for Performance module
    0000387 - [Performance] - Search Performance Review page alignment issue
    0000386 - [XSS Injection] - It is possible to have XSS injection in Add Project form
    0000385 - [XSS Injection] - Possible in Admin->Project Info-Projects search page
    0000384 - [XSS Injection] - XSS injection is possible for employee name
    0000383 - [XSS Injection] - XSS injection is possible for Number field in Immigration

New & Changed Features for OrangeHRM ver  2.7.1-rc.1

    New Features
    ------------
    Improvements to PIM module service classes and methods for forming PIM API.

    Loading Time Bug Fixes
    ----------------------
    Bugs were reported in SF Mantis Tracker: http://sourceforge.net/apps/mantisbt/orangehrm/view_all_bug_page.php

    0000128 - User log-in takes more than 3 seconds with 5000 employees
    0000120 - Employee list search operations by Admin take more than 18 seconds with 5000 employees
    0000125 - Employee list sort operations by Admin take more than 2 minutes with 5000 employees
    0000130 - Page navigation of employee list take more than 1 minute for admin user with 5000 employees
    0000138 - System takes more than 20 seconds to view and search Employee list by highest level supervisor
    0000261 - Cannot open Employee Timesheet with 5000 employees
    0000263 - Employee Timesheet actions take more than 40 seconds with 1000 employees
    0000267 - My timesheet actions take more than 30 seconds with 100 employees
    0000268 - Leave list loading takes more than 16 seconds with 5000 employeees
    0000269 - Leave List search operations take more than 16 seconds with 5000 employees
    0000270 - Page navigation in leave list takes ore than 15 seconds with 5000 employees
    0000271 - Actions performed in the leave list takes more than 13 seconds with 5000 employees
    0000272 - Loading Leave summary takes more than 2 minutes with 5000 employees
    0000273 - Leave Summary Search actions take more than 3 seconds with 5000 employees
    0000274 - Leave summary page navigation takes more than 2 minutes with 5000 employees
    0000280 - Candidate list actions (Add/Delete/edit) takes more than 12 seconds with 4000 candidates
    0001000 - Project list takes more than 3 minutes to load with 5000 employees
    0001461 - Assign leave action takes more than 3 seconds with 5000 employees
    0000126 - Delete and Reset Button actions in Employee List take more than 3 seconds
    0000275 - Editing Leave quota in Leave summary takes more than 6 seconds with 5000 employees
    0000276 - Loading candidate list takes more than 7 seconds with 4000 candidates
    0000277 - Candidate list serach take maor than 7 seconds with 4000 candidates
    0000278 - Candidate list page navigation takes more than 6 seconds with 5000 candidates
    0000279 - Candidate list sorting takes more than 7 seconds with 4000 candidates
    0000137 - System will take more than 3 seconds to edit and save PIM tabs with 5000 employee records
    0000259 - PIM employee profile page actions take more than 3 seconds
    0000281 - Caniddate actions take more than 6 seconds with 4000 candidates
    0000282 - Loading vacancy list takes more than 3 seconds with 1000 vacancies
    0000283 - Vacancy list searching takes more than 3 seconds with 1000 vacancies
    0000284 - vacancy list page navigation takes more than3 seconds with 1000 vacancies
    0000285 - vacancy list sorting takes more than 3 seconds with 1000 vacancies
    0000286 - Add and Edit vacncy takes more than 3 seconds with 1000 vacancies
    0001001 - Actions in User page takes more than 3 seconds

    General Bug Fixes
    -----------------
    0000209 - [Admin] - Default Admin Account gets deleted when deleted the assigned employee
    0000217 - [CRB][Leave]automatic Leave status update based on system date does not work with Single or half day leave
    0000239 - Date format hints shown in the system should be improved
    0000076 - [Leave] - Leave Summary - It takes 20 seconds to update leave summary
    0000224 - [Time] - Timesheets gives a blank page while approving
    0000225 - [Time] - Error displayed while saving the timesheet
    0000240 - Default values in employment status, and Job categories are not displyed

New & Changed Features for OrangeHRM ver  2.7

    New Features/Changes
    --------------------
    Language translation and date format support for all modules.
    Ability to switch on/off modules.
    Upgraders up to version 2.6.5.
    Removal of Benefits module.

    Bug Fixes
    ---------
    Bugs were reported in SF Mantis Tracker: http://sourceforge.net/apps/mantisbt/orangehrm/view_all_bug_page.php

    0000043 - [Admin] Notification mails are not subscribed
    0000052 - [Admin] Cannot edit skill
    0000077 - [Performance] - Add performance review does not work
    0000084 - [Performance] - Cannot add performance review
    0000039 - system [Admin] shows symfony urls for the first and last name of the employee, if an employee is assigned
    0000040 - [Register] Cannot register while installing the product
    0000063 - [PIM] - Job - Terminate Employment - Correct spelling mistakes
    0000064 - [PIM] - Job - Correct spelling mistakes
    0000078 - [Leave] User cannot apply/assign two half days or two short leave for the same date in some scenarios
    0000083 - Leave Summary -> Pagination is not working properly, when reduce records to one page from 2/3 pages
    0000103 - [Leave] - Leave Summary & Leave List - not possible to search for past employees using "Employee" auto-fill box.
    0000111 - [Leave] - My Leave - ESS user can replace the supervisor/admin comments
    0000133 - [XSS] get parameter 'uri' is not sanitised and vulnerable to XSS Injections
    0000144  - [Time] spelling mistake in Time module
    0000041 - Calender control of Date field doesn't work in "Edit Employment Termination"
    0000051 - [Leave] Apply Leave - Incorrect error message shown if to time is less than from time
    0000071 - [PIM] - Membership - it's not possible to select Sterling (British) Pound as currency
    0000097 - [Leave] - repeats annually is not calculated properly in "Holiday List"
    0000098 - [Leave] - Future holiday (dates) are shown in current leave period's holiday list
    0000120 - PIM->Job - Currently supervisor can Edit subordinate Job details, and terminate the subordinate
    3460919 - user is shown existing database setting if invalid password
    0000042 - [Leave] System shows message as "Failed to Submit - Leave Balance Exceeded" message even user has leave quota
    0000050 - [Leave] Assign Leave - Leave balance value is not aligned with the label - "Leave Balance"
    0000066 - [PIM] - Salary - saved apostrophe in a new salary component's comments field, displayed as & # 039 ;
    0000079 - [Leave] Apply Leave - leave balance only shows the balance in the current leave period.
    0000085 - [Recruitment] If resume > 1MB no error message shown
    0000145 - [ESS] ESS tab should be renamed as "My Info"
    0000146 - [Leave] Leave balance incorrectly validate when applying leave on leave period border

New & Changed Features for OrangeHRM ver  2.7-rc.1

    New Features
    ------------
    Language translation and date format support for all modules except Benefits module.
    Ability to switch on/off modules.

    Bug Fixes
    ---------
    3483627 - Can't Install if MySQL Host in an IP and Port Is Different
    3483432 - [Terminate Employment]"Date" field is not internationalized
    3483464 - User can add projects for the deleted customer
    3483434 - [Add Pay Grade] "Assigned Currency" label should be changed
    3483549 - PIM employee image shrinks in some cases
    3483552 - Date picker validator doesn't disappear on correct value
    3483465 - "System shows date validation instead of time validation
    3483541 - view leave balance when approving leave
    3483466 - [Spelling] Leve Request Exceeds Leave Balance
    3483546 - leave requests of next leave period should be shown by default
    3479992 - Fatal error displayed when checked the checkbox and saved
    3483539 - Show number of available leave when apply a leave

New & Changed Features for OrangeHRM ver  2.6.12.1

    Bug Fixes
    ---------
    3464295 - Add/edit/delete permissions for salary tab
    3464296 - Cannot add two salary records with same currency
    3462360 - error displayed when clicked on "Change Password"
    3460746 - Terminate filter should be provided in PIM & Time reports
    3460742 - Ability to add same education level multiple times
    3460741 - Remove Add/Delete buttons from Mini lists
    3460725 - PIM > Data Import help text should be changed
    3460722 - Have pagination in the bottom of lists too
    Preventing duplicate employee IDs

New & Changed Features for OrangeHRM ver  2.6.12

     New Features
     ------------
     Admin module usability improvements with conversion to Symfony framework

     Bug Fixes
     ---------
     Time->Reports->Employee Reports: Fixed issue with Employee field changing value when "View" button is clicked.
     Properly escape $_GET parameters

New & Changed Features for OrangeHRM ver 2.6.11

     New Features
     ------------
     Ability to localize PIM, Leave, Time, Recruitment and Performance modules.
     Basic data import in PIM

New & Changed Features for OrangeHRM ver 2.6.10

     New Features
     ------------
     PIM Employee Reports

New & Changed Features for OrangeHRM ver 2.6.9

	Bug Fixes
	------------
    Bug fixes of Time, Leave, PIM and Recruitment modules

New & Changed Features for OrangeHRM ver 2.6.8

	New Features
	------------
    Recruitment module usability improvements
    Entire Recruitment module is converted into Symfony

New & Changed Features for OrangeHRM ver 2.6.7

	New Features
	------------
    Time module usability improvements
    Entire Time module is converted into Symfony

New & Changed Features for OrangeHRM ver 2.6.7 beta 1.0

	Symfony converted time module with usability improvements
	Work flow configurability and user role configurability
	Time sheet period configurability
	Supports both time formats(1.5 and 1:30) from the user interface
	Time sheet action log
	Report engine to create reports
	Preventing the deletion of the projects,activities,and customers which has time items recorded


New & Changed Features for OrangeHRM ver 2.6.6

    Bug Fixes
    ---------
    3372247 - Attendance summary calculation is wrong
    3373061 - Leave List Comment not saved properly

New & Changed Features for OrangeHRM ver 2.6.5

	New Features
	------------
    Usability improvements to "Job", "Salary", "Report-to" and "Membership" screens of PIM.
    "Direct Deposit" details are now included under "Salary" screen of PIM.

New & Changed Features for OrangeHRM ver 2.6.4

	New Features
	------------
    "Work Experience", "Education", "Skills", "Languages" and "License" all under one screen called "Qualifications".
    Photograph moved into left side of PIM screens.
    Custom fields per each PIM screen.
    Attachments per each PIM screen.

New & Changed Features for OrangeHRM ver 2.6.3

	New Features
	------------
    Usability improvements to "Employee List", "Add Employee" and "Photograph".

New & Changed Features for OrangeHRM ver 2.6.2

	New Features
	------------
    Usability improvements to "Personal Details", "Contact Details", "Emergency Contacts", "Dependents" and "Immigration" in PIM.

New & Changed Features for OrangeHRM ver 2.6.1

    Bug Fixes
    ---------
    Security fixes in Leave module.


New & Changed Features for OrangeHRM ver 2.6.1-rc.2

    Bug Fixes
    ---------
    Bug fixes in Admin, PIM, Time, Recruitment and Performance modules.


New & Changed Features for OrangeHRM ver 2.6.1-rc.1

    Bug Fixes
    ---------
    3148496 - Back slash cause to stop  leave type forms functionality
    3148505 - Leave list comments not support for the special characters


New & Changed Features for OrangeHRM ver 2.6.1-beta.1

	New Features
	------------
    Ability to have fiscal years.
    Enhanced leave summary.
    Enhanced leave list.
    Improved email notifications.


New & Changed Features for OrangeHRM ver 2.6.0.2

    Bug Fixes
    ---------
    3087937 - URI Parameter Should Be Santized
    3057328 - Updating Basic salry becomes null when encrypted


New & Changed Features for OrangeHRM ver 2.6.0.1

    Bug Fixes
    ---------
    3062533 - Uploaded files get corrupted when upload via jobs.php


New & Changed Features for OrangeHRM ver 2.6-beta.10

    Bug Fixes
    ---------
    3031638 - Emergency contacts page contains unwanted labells
    3031455 - Warning message for deleting Admin User Groups needs change
    3031459 - An admin user can delete his own group while being logged in
    3032059 - Print Timesheet searching with subdivision end with stopper
    3032371 - Remove Row removes data one column at a time instead of row
    3032375 - Update timesheet fails after pressing remove row.
    3031939 - Invalide date in the Children's DOB gives wrong message
    3032009 - Employee's picture is misplaced in 1024x768 resolution


New & Changed Features for OrangeHRM ver 2.6-beta.9

    Bug Fixes
    ---------
    3029533 - Unable to search a reviewer for his own review
    3029806 - Reviewer Comments should be scrollable all the times
    3029814 - Height of the Reviewer Comments Textarea should be increased


New & Changed Features for OrangeHRM ver 2.6-beta.8

    Bug Fixes
    ---------
    CSRF issues in Performance module
    3023651 - Cannot update the timesheet with deleted activities
    3025721 - PIM - search by: subdivision end up with no results


New & Changed Features for OrangeHRM ver 2.6-beta.7

	Bug Fixes
	---------
    3006775 - Performance module Save KPI is vulnerable to SQL injection
    3007215 - Ess view performance  review Vulnerable to SQL injection
    3010378 - Autosuggestion lists names in lower cases and search fails
    3010344 - Copy KPI does not overwrite existing KPIs in the JobTitle
    3010348 - Calendar control validation error for dates on boundary
    3010407 - User can add reviews with invalid dates
    3010374 - Autosuggestion shows name twice for self review employee
    3010424 - Exceeding field length with space character leads to stopper
    3010403 - Can save a review with length validation issues
    3010387 - Deleting KPIs breaks updating reviews
    3010382 - Search Review should be case insensitive
    2974742 - Search Review brings back wrong results
    3000286 - Date format should consistence in the Performance module
    3000555 - sanitize the input data in jobs.php
    3003346 - Potential SQL injection vulnerability with ess login
    3001611 - Ess module is vulenerable to xss
    3009783 - Possible CSRF  vulnerability in OrangeHRM
    3009782 - Possible PHP code injection in mail configuration
    3003361 - Not sanitized ajax responses leads to XSS vulnerability

New & Changed Features for OrangeHRM ver 2.6-beta.6

	Performance Module Bug Fixes
	----------------------------
	3000380 - Employee deletion effected to the Review List
	3000319 - Module Permissions are Not Implemented
	2994542 - Performance->auto-suggestion lists not work with single quote
	2974742 - Search Review brings back wrong results

New & Changed Features for OrangeHRM ver 2.6-beta.5

	Performance Module Bug Fixes
	----------------------------
    2996327 - Back Button in Performance Review Does not Refresh the Page
    2996349 - Cannot edit the reviews of employees with deleted job titles
    2993995 - If user enter invalid date, system shows 01/01/1970
    2994542 - Performance->autosuggestion lists not work with single quote
    2995833 - Special character cause to hide all KPI from review form
    2996337 - Rating scale validation does not work for save button
    2996352 - Reset button shows strange behaviour for employee names
    2980470 - Review notification emailsent without setting "From"
    2981076 - Autosuggestion textbox is showing strange behaviour
    2996322 - Avoid Abbreviation KPI wherever possible
    2996344 - Validation Messages are Still Present Even after the Reset
    2996355 - Perf Review Note-character length validation not highlighted
    2996365 - Should be able to search KPIs of deleted job titles


New & Changed Features for OrangeHRM ver 2.6-beta.4

	Feature Requests
	----------------
	2981081 - Performance: Need a clear button to clear search Review form
	2981087 - Performance:Reviewer comments length and width shoud increas
	2991213 - Per:Avoid using the abbreviation KPI wherever possible
	2983163 - Have a menu item called Reviews instead of Search Reviews
	2981093 - Performane: A link to go back to the search results
	2983166 - Add the link to the Employee Name instead of Review Period

	Performance Module Bug Fixes
	----------------------------
	2971095 - From Date, To Date and Due Date should be validated
	2974539 - More meaningful comment needed for rating scale validation
	2981065-  Deleted JobTitle should be shown as 'name(deleted)' in dropdown
	2981030 - KPI is an acronym,it should be capital
	2981035 - KPI List->Shows additional characters against special character
	2981070 - (Security)The performance module is vulnerable toURL Attacks
	2981044 - Review edit can't continue employee with middle name
	2981051 - Rating validation does not work for submit button
	2980473 - Improve summary of review notification email
	2981055 - There should be a space after to - in the mail log
	2981048 - Autosuggestion includes middle name for reviewer in Search
	2981049 - Subdivision and subunit - term difference in search review

	General Bug Fixes
	-----------------
	2953384 - Qualification ->Save with (' & ") quote leads to stopper
	2922760 - Even after un-susbscribing notification mails CC to admin
	2944412 - Add comment button label should change to Add/view comments
	2540143 - Drop down menus need to hide automatically.
	2944390 - Timesheet remove Row: cannot remove already saved data

New & Changed Features for OrangeHRM ver 2.6-beta.3

	Bug Fixes
	---------
	All the bug fixes done in 2.5.0.4

	2971095 - From Date, To Date and Due Date should be validated
	2973172 - Propely display rating scales without minimum or maximum
	2974539 - More meaningful comment needed for rating scale validation
	2974526 - Can not copy from deleted job title
	2974519 - KPIs of deleted job titles should be disabled for modifying
	2974742 - Search Review brings back wrong results
	2971790 - Edit Review -> employee name should validate
	2970583 - Newly invoked Search Review contains old values:
	2974542 - Review can be added for a user without job title
	2970608 - checkboxes of  scheduled reviews should be disabled for emp

New & Changed Features for OrangeHRM ver 2.6-beta.2

	Bug Fixes
	---------
	2950546 - Validation should be performed when text changes
	2950558 - 2009 should be changed to 2010
	2950575 - Deleting job title in admin module empties the KPI's job tit
	2961053 - The Search Review Form is not work with IE7
	2961700 - From and To date should not be mandatory for review queries
	2970592 - A reviewer can submit without entering anything
	2970603 - Save comments with large text leads to length exception
	2971077 - Spelling mistake in Add review page
	2971141 - Review entering "being reviewed" state from submitted
	2971766 - Job titles with special chars not displaying properly
	2971790 - From Date, To Date and Due Date should be validated
	2972449 - Edit Review -> employee name should validate
	2961721 - After scheduled the Review HR admin cannot edit it.
	2961068	- Clear button name should be changed as Reset
	2971780 - Icons are missing in the Performance module menu
	2971791	- Reviewer can not view his/her own review without searching
	2971783 - Review search issue come with employee and reviewer
	2971095 - From Date, To Date and Due Date should be validated
	2970667 - Clear button should be labelled as Reset in Edit Review
	2970654 - Edit Review form adds schedules
	2970613 - Review List -> Select all checkbox not work properly
	2970604 - Save comment with special characters leads to hide kpis

New & Changed Features for OrangeHRM ver 2.6-beta.1

	Known Issues
	------------
    Deleted job titles and sub divisions are not handled.

	Bug Fixes
	---------
    2970542 - Default value check box is deselected, when updating KPIs
    2970587 - Spelling mistake - schduled - should be scheduled
    2970597 - Performance Review -rating field should be validated
    2970604 - Save comment with special characters leads to hide kpis
    2970605 - Warning message are ovelapping
    2970613 - Review List -> Select all checkbox not work properly
    2970631 - Edit Review feature is not compatible with 5.2.10-2

New & Changed Features for OrangeHRM ver 2.6-alpha.4

	New Features
	------------
	All the acceptance test cases of Performance module

	Known Issues
	------------
    Deleted job titles and sub divisions are not handled.

	Bug Fixes
	---------
    2961108 - Search Review- Click on delete leads to delete all records
    2961707 - Employee can not view his/her approved reviews
    2961723 - Admin shouldn't be able to edit/del in being reviewed state
    2961702 - Warning message should show when copping KPI
    2961730 - Review List >Review date column should rename as Due date
    2950548 - Throws error while saving with a large description
    2950549 - Throws error while saving with a large number
    2950555 - Deleting a particular kpi resets the default rating scale
    2950565 - Deselecting one item should untick the select all check mark
    2950552 - Setting the default option in multiple KPIs leads to error
    2950567 - Marking a KPI with empty scale as default does not work
    2951927 - Null values in the rating scale converted to zero
    2951928 - Can not save a KPI without a maximum value
    2961697 - "Being Reviwed " should be corrected as "Being Reviewed"
    2950556 - Create meaningful error message for rating scale validation
    2950568 - After deleting all KPI the copy kpi button should be hidden
    2950571 - Job title is a mandatory field. But can search without it
    2961699 - Performance Review Form - > HR admin comment not save
    2950547 - Re-opening and saving a KPI with no rating scale fails
    2951915 - Select all checkbox behaves differently in IE8
    2951918 - Check boxes in Search KPI page shows strange behavior in IE8
    2951932 - Setting a scale as default doesn't effect while updating
    2961698 - Renaming labels in Performance Review
    2950532 - Search result does not specify the search string
    2951937 - Validation fails if minimum is 1.5 and maximum is 1.9 in KPI
    2961703 - Error while approving or rejecting a review
    2961720 - Submitted Reviews can be edited
    2950550 - Modifying the default rating scale resets it

New & Changed Features for OrangeHRM ver 2.5.0.3

2965427 - can't assing employees for workshifts.getting an err msg.revert the bug : 2049129 - Time: Work shift should be unique. Fix was from
		community contributor Asad Raza

New & Changed Features for OrangeHRM ver 2.5.0.3-beta.2

	No thanks and Regisor buttons should be placed buttom of the page
	2959502 - Illeagal characters stop registration page been sent
	2959512 - In csv report Customer coumn is not shown
	2959507 - Timesheet CSV cotains "In date" Header Instead of "Out Date"
	2959503 - "News letter " should be a one word "Newsletter"
	2959533 - For punch in notes when " includ,text after " are not shown
	2959505 - Seperator should be there in the applicants details PDF

New & Changed Features for OrangeHRM ver 2.5.0.3-beta.1

    Stories Included
    -----------------
    Change ldao them to fit 2.5 theme
    Change registration page
    Recruitment add-on
    Time and Attendance CSV add-on  compatibilty and refactoring improvent in the base prduct over plugins.

New & Changed Features for OrangeHRM ver 2.5.0.2
	Bug Fixes
	---------
	Changed default leave module home page for Admins. Earlier it was Define Leave Types. Now it is Leave List
	Corrected employee IDs sent to leaveApply.php. Earlier it sent employee_id instead of emp_number
	2874627 - Recruitment: Admin+Approver cant view link to approve applic.
	2840811 - Make Terminated uneditable in employee status in Admin.
	2033797 - Leave:'Back' button missing.
	2854090 - Installers mysql port number is restricted to 4 digits.
	2860531 - Mail Configuration->'Send Mail' should rename as 'sendmail'.
	2909850 - Click on Leave Module leads following Notice page

New & Changed Features for OrangeHRM ver 2.5.0.1

	Bug Fixes
	---------
	userTimeZoneOffset issue of UK based users
	2677771 - Pagination in Leave Summary incorrect: add/delete Leave Type
	2894143 - Workshift are not propely identified when assigning leave
	2896468 - Reports->view report, Servi. Period must replace by Join dat

New & Changed Features for OrangeHRM ver 2.5-beta.17

	Bug Fixes
	---------
	2843433 - Lot of error messages in the server log when access applicat.
	2840790 - Duration isn't updated when changing Report type dropdown
	2840205 - supervisor can't see subordinates' attendance reports.
	2839363 - Supervisor can't edit or save subordinates' TS
	2853572 - Installers db selection option should be more userfriendly.
	2839405 - Time->Employee Report Not Retrieves Data
	2831824 - To load Leave List, System will take more than 9 min
	2556502 - Too large numbers are accepted which cannot be handled properly
	2841024 - In IE8:PIM page there's gap between items in the left panel.
	2827911 - Notification mail issues in recruitment module.
	2026711 - PIM:saved ZIP code validated again & again PIM module
	2844685 - Add Employee:Remove Warning message for middle name

	Re-Fixes
	--------
	2854117 - Names not listed in leave summery for Admin user with employ
	2839417 - TS Detail View->Edit->Default values are incorrect
	2839423 - Project Time -> Default values are incorrect
	2559996 - The same date can be specify as holiday several times

	Reverted Fixes
	--------------
	2009682 - Admin:Com property:emp selecting mechanism should improve.
	2080488 - Leave:no way to c the leaves of all subordinates to supervis.


New & Changed Features for OrangeHRM ver 2.5-beta.16

	Bug Fixes
	---------
	2841874 - Emp List:check 'Delete All' and uncheck all-> mysql error
	2844764 - Cryptokeys and temp directories are missing in in the relea
	2846003 - PIM:'Direct Deposit' amount length>9 leads to mysql error
	2839394 - Supervisor->Select a Company Property leads to the Mysql Err
	2846038 - Subordinates name and Report method not shown in reports
	2840214 - punchIn/Out page Note with characters>256 leads to mysql err
	2854117 - Names not listed in leave summery for Admin user with employ
	2833626 - Leave Summary->Employees names aren't shown for HRAdminUser
	2061936 - Recruitment:Unwanted text after rejecting job application
	2571308 - Report to->Supervisor/Subordinate,Emp ID should be editable
	2075361 - ESS: Date of birth can't Change in IE 7
	2839423 - Project Time -> Default values are incorrect
	2559996 - The same date can be specify as holiday several times
	2839425 - Time->Attendance ->sub menu is not aligned.
	2845424 - Project Reports page:'Show Deleted' field should be aligned
	2839417 - TS Detail View->Edit->Default values are incorrect
	2722930 - Leave applied should be able to cancel on same day
	2844787 - Stopper when import data if file doesn't have read permissio
	2833636 - Without leave quota-Supervisor can't assign leave to his sub:
	2804767 - Test email from email Configuration not working for non SSL
	2833634 - Notification mail gets fail when Ess canceling the leave
	2080488 - Leave:no way to c the leaves of all subordinates to supervis.
	2844776 - There should be a back button in summary page import/export
	2846040 - File type is not validating in import
	2846051 - shows emp No even the 'Emp No' field is unchecked
	2615411 - Implement back button in 'List of taken leave' link.
	2688230 - Give a meaningful error message for duplicated ess users.
	2009682 - Admin:Com property:emp selecting mechanism should improve
	2835952 - Leave summary-Current year should be selected as default Year.


New & Changed Features for OrangeHRM ver 2.5-beta.15

	Bug Fixes
	---------
	2014044 - 'Job offer' should not depend with int. schdule
	2830103 - can't select employee through mouse in IE8
	2839409 - Project Manager can't see the Project Report
	2000664 - Leave : Same Leave Types can be defined : gives a problem.
	2082155 - Leave:Supervisor cant see,canceled,rejected leave of subordi. (From community contributor Adeel Khan)
	2640861 - Attendance Report row's should be highlighted
	2171396 - PIM: Supervisor name can't be changed
	2811321 - Projects or Activities deletion may effect to reports
	2571323 - Pay Grade and Currency should editable when press the edit b
	2841672 - Leave on Holidays should be searchable
	2548843 - Search for Canceled returns Taken leave
	2832996 - all list in OrangeHRM should show data in alphabetical order
	2815576 - Leave- Admin assign leave -Error on status bar in IE
	2021205 - PIM->Salary: Basic Salary not validated when 1currency is in
	2041262 - PIM: Can exceed salary from the maximum and minimum
	2831902 - Getting err Page when edu selected& qualification is not.
	2831864 - data not retrieved: in age,pay grade criteria given
	2831865 - Data not retrieved when pay grade is given
	2831866 - Data not retrieved when age and education given
	2831911 - data not retrieved -All Selection Criteria
	2792059 - Report -MySql Error when viewing report with criteria pay gr

New & Changed Features for OrangeHRM ver 2.5-beta.14

	Bug Fixes
	---------
	2013481 - Recruitment : Zip code accept chars without warning msg
	2021193 - Report: Selecting an employee gives User ID
	2000656 - Leave : Undelete leave types caused to open new tab in IE7
	2835438 - Having capital letters in table names lead to a notice page
	2833580 - Mail Configuration-> Test mail is not sent by the system
	2835398 - Job Title with & sign, Display with unnecessary characters
	2823025 - Old data will remain with newly defined custom fields
	2836008 - Time Sheet Grid-> Alert message has grammar mistake
	2835925 - WorkShift Time-Display as decimal & validate again & again
	2836016 - In Leave List-'Show leave status' label shows in 2 lines
	1992646 - Admin Add Projects and press enter creates two same items
	2808880 - All employee statuses are shown in PIM instead of selected
	2012364 - Time:Supervisor should't be able to change employment state
	1963016 - Leave : delete specific holiday leads mysql error
	2825245 - pressing the save button in myleave make leave status cancel
	2819405 - Admin: language improve the field validation error message
	2819419 - Edit button remains as edit when pressed ,In Job vacancies
	2825866 - List of image buttons need to replace with action buttons
	1965104 - Reset button not properly work in IE
	2021188 - Report:Select the Header check box->delete, should give msg
	2012357 - Time:can't search employee by the employment state
	2021167 - Time:Work shift:Hours per day exceeds 24 hours
	2013502 - Recruitment : City is not validating in jobs application
	2714285 - No save successfully msg when Finishing 1st & 2nd interview
	2820625 - pagination not implemented in Custom Export & Import pages

New & Changed Features for OrangeHRM ver 2.5-beta.13

	Bug Fixes
	---------
	2828796 - Jobs.php - Title of the job goes to the second line
	2080505 - Leave: Work shift changes doesn't affect to applied leaves
	2830123 - List of remaining image buttons in OrangeHRM
	2832974 - Leave List page, UI button misalignment in IE
	2833552 - supervisor cannot see Employee Leave summery menu
	2059476 - Recruitment: Email issue with ' marks
	2831788 - Report Mod:'DeleteAll' is not working
	2830142 - Implement back button in PIM employee info page
	2688227 - System allow to add duplicate values under following menus
	2811969 - Orange installer will drop the database if it has data
	2810123 - Cannot download & view the attached resumes
	2811333 - PIM->Employee List The Add & Delete Button should be hidden for supervisors
	2819498 - mysql error given when try to save project without activity
	2827871 - Recruitment->Applicant->Detail - Can't download the attached
	1936614 - HSP-alpha.4:Employee HSP Summery->"Save as PDF",extra window
	2825213 - Employee image visible in report to under PIM
	2832980 - Employee Timesheet menu is missing for supervisor
	1879947 - Print Timesheets: cannot select All

New & Changed Features for OrangeHRM ver 2.5-beta.12

	Bug Fixes
	---------
	2811394 - can't add timesheet events if customer name has single quote
	2814398 - Data too long error message for comments field in leave
	2818906 - Supervisor shouldn't be able to add/delete company property
	2548843 - Search for Canceled returns Taken leave
	2821079 - Duplicate same date with different holidays leads sql error
	2822258 - Employee list order, incorrect when employee id changed
	2641120 - Missing select all check box in PIM Employee Information
	2827880 - 1st and 2nd interview schedule date and time can not be same
	2827840 - Recruitment->Application->Need to validate City & Zip Code
	2542841 - Leave summary incorrect when deleting a specific holiday.
	2640838 - Give validation messages in attendance report
	2829472 - Overlapping leave not shown according to 2.5 UI standards
	2825858 - stopper when applying same leave twice which include weekend
	2021183 - Time: No checkBox to select all the records
	2827867 - Recruitment->Applicant->Detail form width should increase
	2827853 - Job vacancy List - The Reset button is not functioning properly
	2489630 - Remove the employee image selection popup for consistancy
	2640832 - Attendance Report->Generate button's Text partially shown
	1955832 - Custom Fields can not Import
	2827882 - Action button text is not clear in mark offer declined form
	2827936 - Interviewer should not be able to schedule 2nd interview
	2811324 - PIM-Job Detail->assigned location/s are not shown until save
	2641185 - Emp. name field reset in attn.report after click on generate
	2595639 - [REOPENED] Server time not properly reflected in the Punch IN
	2641169 - Paging is not implemented in the Attendance Report
	2641407 - [REOPENED] Delete one record will take more than 1min:with records>700

New & Changed Features for OrangeHRM ver 2.5-beta.11

	Bug Fixes
	---------
	2810112 - Job.php attachment validation will reset the jobs.php form
	2014068 - Recruitment : 'Back' button misbehaves in int.schdule page
	2819417 - Blank pages loaded when clicking PIM tabs with IE for Admin
	2641255 - Time->Punch In->Time field length should reduce
	2641462 - Unnecessary back button display in Project Time
	2819403 - Edit & save employment status lead to undefined variable err
	2640813 - Menu items should be same size in the attendance
	2819498 - mysql error given when try to save project without activity
	1930077 - HSP-ESS users edit leave comment, isn't reflect after saving
	2584464 - Admin cannot access with register_global on in php.ini
	2824692 - Undefined variable stopper when ess cancel his leave
	2807107 - Language constant should be defined for marital status
	2512347 - UI Issues in Recruitment Module (Re-fixed with additional UI improvements)
	2021370 - Admin:By Setting only 'delete' and 'View' ,can add and edit
	2665339 - Time format should be mentioned when scheduling interview
	1886631 - To add a job title - pay grade need not be mandatory
	2824699 - undefined error occur when try to add a project
	2021297 - Admin:Setting only 'Edit' right, admin can add,delete
	2819414 - Incorrect tab order behavior issues in Admin module
	2207193 - User with no rights can do all the privileged tasks
	2509051 - Salary saving without a Pay Grade lead to Notice page
	2079818 - Leave: Set leave quota 2009,->Ess can apply leave for 2008
	2711107 - Time Grid Summary -> Back button not functioning in IE7

New & Changed Features for OrangeHRM ver 2.5-beta.10

	Changed Features
	----------------
	Updated the latest language files for the Dutch language

	Bug Fixes
	---------
	2491526 - Clear buttons should renamed as Reset
	2786768 - Shift description does not allow for 7.5 hour shifts (Fix made by community contributor Afraz Ali)
	2790590 - Define Report - Unchecked fields also display in a report
	2804835 - Job duties strings is not fit to the frame width when viewin
	2080314 - Leave: Double quotation is not affect after saving (Fix made by community contributor Nauman Ahmad)
	2688218 - Description save with multi line will make record uneditable
	2046166 - Time:For Project activities with ' cant enter time entries
	2506371 - Implement the employee auto suggestion list in Time module
	2530843 - can't edit employee education details in PIM
	2489630 - Remove the employee image selection popup for consistancy
	2641144 - Atten Report time get invalid when saved In/Out as 24:00
	2050991 - Admin: Project activity with ‘ can’t be edited (Fix made by community contributor Usman Arham)
	2595635 - When filter based on employee Print Time Sheet not retrieve (Fix made by community contributor Kamran Lodhi)
	2489665 - Tab order not set for phone field when adding location.
	2595650 - Time format should be mentioned in a label
	2491699 - Reset button should implemented in a consistent way
	2002400 - Send duplicate mails to CC address (Fix made by community contributor Usman Arham)
	2640884 - project Internal should behave as normal project
	2728341 - List of Taken leave is showing records for all years
	2799959 - Supervisor cannot print time sheets using division criteria.
	2188524 - ESS can enter D of B manually & there will be Extractor erro (Refixed)
	2506497 - Ess: Leave summary back button will end up with notice page

New & Changed Features for OrangeHRM ver 2.5-beta.9

	Bug Fixes
	---------
	2491526 - Clear buttons should renamed as Reset
	2509058 - Missing Hide button: cannot hide the show employee history
	2500880 - UI Issues in Admin Module
	2512347 - UI Issues in Recruitment Module
	2711112 - Time Grid Summary->Activity not get populated in IE7
	2489763 - Button labeled Delete but will clear the fields:admin rights
	1937394 - Search feature is not implemented in  Data Import/Export
	2026725 - Admin:Stopper in when job title defining
	2810848 - Education in PIM will give a mysql error with traditional
	2080592 - Leave:Supervisor cant c d list of taken leave of his subordi
	2811969 - Orange installer will drop the database if it has data
	2489756 - Improper alert :Modules should be selected instead of fields
	2641167 - In timesheets project Internal time can be overlapped with a
	2711133 TimeSheet Detail modification not reflect to TimeSheet Summa
	2811427 - Duration can be grater than 24 per day in timesheet detail
	2711130 - Need warning when one activity grater than total of sameActi
	2640896 - ProjectTime Page heading always shows unfinished act: title

New & Changed Features for OrangeHRM ver 2.5-beta.8

	Bug Fixes
	---------
	2665300 - Uploaded Resume not visible after scheduling first interview
	2686124 - Submit Job application fails in Mysql Traditional Mode
	2788246 - ESS Cancel Leave My SQL error –traditional mode
	2026725 - Admin:Stopper in when job title defining
	2018586 - Admin:Notice page when deleting project activities.

	Minor Improvements
	------------------
	UI Improvements in Admin, Leave & Recruitment modules (Partial fix to 2512347 - UI Issues in Recruitment Module included)

﻿New & Changed Features for OrangeHRM ver 2.5-beta.7

	2595639 - Server time not properly reflected in the Punch IN
	2608129 - Edited values not get saved in PIM-personal details
	2595624 - "Back" button re-directed to pay grade instead of Job Title
	2641407 - Delete one record will take more than 1min:with records>700
	2641140 - Edit and save ess tab details will end up with Fatal Error
	2509051 - Salary saving without a Pay Grade lead to Notice page
	2527922 - Employee Nick name get blank when saved
	2530843 - can't edit employee education details in PIM
	2540117 - Edit and save not working with "Path to Sendmail"
	2799949 - Project manager cannot edit his project activities

New & Changed Features for OrangeHRM ver 2.5-beta.6

	2787192 - Leave cancel mail doesn’t include the name of the individual
	2681493 - Pay Grade-Edit and save leads to Undefined variable error
	2081698 - Leave:In Leave filtering,number of days rejected wrong
	2461647 - Recruitment module is invisible for HM- log in as ldap user
	2711126 - Total hrs per day can be grater than 24 hrs

New & Changed Features for OrangeHRM ver 2.5-beta.5

    Bug fixes
    ---------
	2721087 - timesheet start from 1969-12-31
	2613464 - Can't install if the user or database already created
	2779333 - Installation with root not work with IE7
	1922834 - Installation: Hypens in database name are not checked (Refixed)
	2711116 - Time Grid-Save without selecting a Project leads to SqlError
	2641144 - Atten Report time get invalid when saved In/Out as 24:00
	2644386 - Traditional Mode-Delete rows in Atten.Rept lead to sql Error
	2787192 - Leave cancel mail doesn’t include the name of the individual

New & Changed Features for OrangeHRM ver 2.5-beta.4

    Bug fixes
    ---------
	2587492 - Admin canceling an approved/taken leave leads to Fatal Error
	2758108 - Stopper When Accessing Leave Summary as ESS User
	2188524 - ESS can enter D of B manually & there will be Extractor erro
	2709201 - Ess cannot edit ess tab:extractor based error
	2540117 - Edit and save not working with "Path to Sendmail"

New & Changed Features for OrangeHRM ver 2.5-beta.3

	New features
	------------
	Added new icons to OrangeHRM menu items.

New & Changed Features for OrangeHRM ver 2.5-beta.2

    Bug fixes
    ---------
	2021166 - Report:One month working experience shown as 0 year
	2031268 - Recruitment:Terminated emp can be assign as Hiring manager
	2003409 - Supervisor cannot update comment when approving leave

New & Changed Features for OrangeHRM ver 2.5-beta.1

	New features
	------------
	Introduction of Timegrid view for Timesheets

New & Changed Features for OrangeHRM ver 2.5-alpha.10

    Bug fixes
    ---------
	2595713 - Email notification fails with a error: Unsupported SSL type (Re Fixed)
	2653859 - Duration should be 2 decimal points in atten. summary
	2653895 - List box reset to summary when selected detail report
	2653870 - Back button needed from detail page to summary (attendance)

New & Changed Features for OrangeHRM ver 2.5-alpha.9

	New features
	------------
	Summary View of Attendance Reports

New & Changed Features for OrangeHRM ver 2.5-alpha.8

	New features
	------------
	Second implementation of "Attendance Tracking" (Admins/Supervisors can Attendance Reports)

    Bug fixes
    ---------
	2608200 - Attendance -> My Reports, left align In Note and Out Note
	2595451 - Undefined variable in Punch IN/Punch out with IE
	2595421 - Clicking on Attendance will redirected to the PIM
	2608781 - Attendance Configuration-select boxes should be right aligned
	2595446 - Display a message when no reports to display in attendance
	2615902 - Overlaping time can be entered using punch IN/OUT
	2595619 - Punch IN time should not grater than Punch Out

	2595713 - Email notification fails with a error: Unsupported SSL type
	2615218 - Leave Assign button not functioning with Supervisor/Ess User (Fixed by Nadeeth)

New & Changed Features for OrangeHRM ver 2.5-alpha.7

	New features
	------------
	First implementation of "Attendance Tracking" (Punch In/Out Separation)

New & Changed Features for OrangeHRM ver 2.5-alpha.6

    Bug fixes
    ---------
    2548843 - Search for Canceled returns Taken leave
    2041262 - PIM: Can exceed salary from the maximum and minimum

New & Changed Features for OrangeHRM ver 2.5-alpha.5
    Bug fixes
    ---------
    UI improvements of Admin & Leave Module

New & Changed Features for OrangeHRM ver 2.5-alpha.4

    Bug fixes
    ---------
    2489641 - All right reserved: 2008 should be 2009
    2503715 - Editing Work Experience cause to Undefined offset error
    2506260 - In Leave Type action buttons not functional in IE
    2506461 - Ess cannot apply leave using firefox : UI issue
    2506497 - Ess: Leave summary back button will end up with notice page
    2522827 - Cannot delete the attached resumes in Recruitment

    Bug fixes merged from 2.4.1
    ---------------------------
	2094702 - Notice page when login via LDAP
	2149200 - admin assign leave's mail notification doesnt go via SMTP
	2163329 - There are no installation instructions with the download
	2141811 - Benefits Module: After deleting an employee name not shown
	2219006 - [Upgrader]No warning is given for default SMTP settings
	2220848 - [Upgrader]  Interviewer doesn't get mail
	2283560 - Send mail configuration testing should implemented
	2220436 - Two Sundays shown in time sheet due to daylight saving
	2031266 - Leave:Copy leave quota creates duplicate leave types
	2314620 - Leave types list order should be the defined order
	2211401 - Mysql errors with traditional/restricted modes
	1962330 - PIM -> License : Unnecessary text value display in start
	2314620 - Leave types list order should be the defined order
	2336771 - Admin View first time sheet not the current to Approve
	2086450 - Leave:Ess not assigned to supervisor->apply leave->no mails
	2343535 - Two 2008-26-10 shown - last leave date omitted
	2433061 - can't save job titile in PIM with mysql Traditional mode
	1943684 - Paging not implemented in Leave Summary
	2049098 - Time: Timesheets printing issue
	2078231 - PIM: Edit salary goes to notice page -Stopper
	2026736 - Admin:Location name should be a text box
	2002924 - Time:Approved state timesheet can be edited using punch in
	2046187 - Time: Two same time events can be started @ same time
	2088791 - Time: Punch in/out helps to update approved timesheet
	2090499 - Time:Reported date misleads Employee report time calculation
	2149309 - CRB-Calender control has no arrow to skip year by year
	2047966 - Admin: Project deletion may affect to the reports

New & Changed Features for OrangeHRM ver 2.5-alpha.3

	New features
	------------
	Expand/Collapse feature in job descriptions at jobs.php (1941287 - On the job vacancies web page job desc. expand and collapse)
	Replacing capability in attached resumes.

    Bug fixes
    ---------
	2047767 - Code is not able to detect Innodb support
    1941287 - On the job vacancies web page job desc. expand and collapse

New & Changed Features for OrangeHRM ver 2.5-alpha.2

    Changes done
    ------------
    Resume upload feature added to job applications
    IE7 Compatibility fixes

New & Changed Features for OrangeHRM ver 2.5-alpha.1

    User interface changed to new format.

	Bug fixes
	---------
	1951522 - PIM->Unwanted check box in ESS user's ESS interface
    2003423 - Rename leave status "Status Differ" to "Partly Approved"
    1733648 - Menu order

New & Changed Features for OrangeHRM ver 2.4.0.1

	New features
	------------
	Added support for new plugins

New & Changed Features for OrangeHRM ver 2.4

	Bug fixes
	---------
	2090618 - TimeModule: Page not found when click Page before page load

New & Changed Features for OrangeHRM ver 2.4-beta.8

	Bug fixes
	---------
	2067151 - Leave:Ess Apply leave,doesnt filter properly
	2040006 - Time: Approved timesheets can be edited
	2057167 - Leave:Entering for some text boxes, gives Stoper
	2041376 - 2.4b6:Benefits:ESSuser having(') in his name,cant submit req
	2037561 - TIME:It gives an incorrect report if the user add time event
	2059239 - Renaming Leave Type leads for incorrect displaying of data
	2023269 - [CRB] Leave list for a month not filtered properly
	2056846 - Admin: Entering ‘ for some text boxes, gives Stoper

New & Changed Features for OrangeHRM ver 2.4-beta.7

	Bug fixes
	---------
	1965051 - Error massege Gives bottom of the CSV File
	1950539 - Time Module -> Time sheet details alignment not correct
	2044110 - Strings with ' results java scripts to not to work
	1989466 - Dependent can be saved without Name and Relationship : PIM, with some minor UI improvements
	1995669 - Leave Module: Zero Time Duration Can be Assigned as a Leave
	2006032 - Custom fields can not take in comments with double quotes
	2021159 - Report:Admin user with Edit privilege can't edit Reports
	1950679 - Leave -> Leave quota text box is not validate
	2015722 - lang_en_full.php file contains some spelling mistakes. Corrected spelling in several other places as well
	2032713 - Use compressed versions of javascript libraries
	1989653 - Duplicate Report names

New & Changed Features for OrangeHRM ver 2.4-beta.6

	New features
	------------
	Made improvements to auto-complete functionality

	Bug fixes
	---------
	2029606 - After 1,000 employees in PIM can not select hiring manager.
	2030052 - Print time sheets are not displaying after changed the empID
	2025726 - Formatting not done on resumes.
	1962815 - HSP alpha.14:Admin select checkbox in companyProperty,notice (Improved)
	1930077 - HSP-ESS users edit leave comment, isn't reflect after saving (Improved)
	1984309 - HSP: Admin click Save without selecting a plan, Notice page (Improved for IE7)
	1990730 - No proper paging for company properties
	2030132 - Admin:Employment status:notice page
	2026720 - Admin:Pay grade without Currency gives stopper
	2032483 - Recruitment:Seek approval can't approve a job
	2026706 - Admin:Company info:gives stopper to 189 charas for the name
	2030001 - Leave:Copy leave quota misbehaves; Changed code to prevent the same error in Leave brought forward functionality.
	1964338 - Seach fuction not properly work in Recruitment Module
	2038784 - Time: Time sheet period defining issue: stopper
	2038547 - Time:Punch out can be done without In >> gives stopper

New & Changed Features for OrangeHRM ver 2.4-beta.5

	New features
	------------
	Introduced segmented CSV import with progress bar & status indicators (related to bug 1924888)
	Improvements of auto-suggest features in Recruitment module using YUI libarary
	Improved UI for Firefox 3 Competability

	Bug fixes
	---------
	2013969 - Recruitment : Hiring manager list loding issue
	1989557 - Language table last column header is incorrect in PIM module
	1828910 - Decimal number of hours for the workshift.
	1989570 - ‘Subscription Renwal Date’ should be ‘Subscription Renewal
	1974577 - Sub division page doesn't have a scroll bar
	1998423 - Admin : Job :Same Pay Grade Name can be defined
	2012682 - Can't enter ONLY the duration in project time
	1999139 - Firefox 3 compatability
	2013150 - Admin: Saving PayGrade changes by [Enter] key -> Warning Pg
	2014847 - Leave:Specific holiday delition gives a notice page
	2016524 - Company structure is not properly shown in pop-up
	1986268 - Time Module :Cannot insert time entries when delete activity. Also fixed in "Project Time".
	1922834 - Installation: Hypens in database name are not checked
	2023269 - [CRB] Leave list for a month not filtered properly
	1996023 - 2.3.7b2:Leave:Half Day Specific Holidays Update as Full Day
	1930077 - HSP-ESS users edit leave comment, isn't reflect after saving
	1994986 - Unable to apply leave for a range which includes a holiday
	1949624 - Time Module: Projects Report -> View : From and To Incorrect
	1998500 - Leave Module: Leave Brought forward funtion not working
	1962983 - ESS - > PIM : Non stop loading animation display
	1903690 - Next button in timesheet doesn't jump to the next timesheet

New & Changed Features for OrangeHRM ver 2.4-beta.4

	Bug fixes
	---------
	2010999 - Error when trying to create a user in PIM

New & Changed Features for OrangeHRM ver 2.4-beta.3

	New features
	------------
	Introduced YUI auto-completion & re-designed auto-completion feature at HSP
	Summary Search

	Bug Fixes
	---------
	2010091 - Qualifications and Experience field is too small to display
	1934305 - HSP-New employee added after chekdate,not appear next year.
	2009934 - Can not look at the applicants with out a manager job title
	1984309 - HSP: Admin click Save without selecting a plan, Notice page

New & Changed Features for OrangeHRM ver 2.4-beta.2

	New features
	------------
	HR Admin - Select Job Approver
	It should be possible to select any employee as hiring manager

	Bug Fixes
	---------
	1995996 - 2.3.7b2Benefits:HSA+FSAselect,ESSlog 1sttime cant viewHSPsum
	1962815 - HSP alpha.14:Admin select checkbox in companyProperty,notice
	1988591 - Time Module :Problem in time entry with differnet time zones
	1995721 - Admin Module: Company Structure get corrupted

New & Changed Features for OrangeHRM ver 2.4-beta.1

	Bug Fixes
	---------
    2005429 - Birth dates before 1970 not imported

New & Changed Features for OrangeHRM ver 2.3-beta.2

	Bug Fixes
	---------
	1880039 - Error in printing timesheet
	1898569 - Timesheets created with overlapping time periods
	1943799 - 2.3-alpha.5-Under PIM, cannot add more than 1000 records
	1953189 - Time Module: Ess view on sunday displays 14 days
	1872677 - Rejected leaves shown in 'pending approval' list
	1874111 - Leave approve/deny emails do not have information
	1883065 - It is possible to submit time to an approved timesheet
	1910904 - Company structure cannot be entered in IE
	1930775 - Employees Uploaded image is corrupted
	1936463 - Custom data doesn’t display in Exported File
	1949399 - Restrict week starting day feature.
	1950563 - Status is wrong in Leave List
	1953179 - Time Module: missing day between two time sheets
	1953962 - Admin add pay grades, and press enter moves to notice page
	1953965 - Admin add skills, and press enter moves to notice page
	1953987 - Admin add AdminUserGroup, & press enter moves to notice page
	1953990 - Admin add customer, and press enter moves to notice page
	1953999 - Admin add project, and press enter moves to notice page
	1957848 - After ading 1000users,Supervisor can see links to many pages
    1910952   Click on the “Reject” button ,nothing happens
    1910944   “Position applying for: Sales manager” only the bottom half
    1910947   Zip Code needs an asterisk
    1919770   Clicking Reject Submits form even if validation fails
    1924151   Interview event doesn't open when user has no email
    1941291   When you apply for a job vacancies top title bar should have
    1919420   Editing locations for nested divisions/depts. error message
    1979629   Error in creating database tables by the installer
    1969515   Performance: some tabs not clearly visible to user (not specific to performance module)
    1969516   Display Unexpected Error page in Job Specification
    1910903   Selecting a user as terminated , termination date not appea
    1919409   Ess user can see termination reason
    1919189   Supervisor cannot define company property
    1925824   System accept job specs of same name differed by casesensiti
    1922115   After you Subscribe to E-mail Notifications does not say whether the data was saved
    1926772   Whentrying to Attach a file under PIM moves to error page
    1956040   Additional text box in Job Vacancies

    New features:
    ------------
    HR Admin defines department id
    Previous Positions, Divisions, and Locations
    Recruitment: Applicant views and applies for job vacancies
    Recruitment: HR Admin defines job specification and duties
    Recruitment: HR Admin assigns job specification and duties
    Recruitment: HR Admin manages job vacancies
    Recruitment: Hiring of an employee
    Recruitment: Manager manages application process
    System displays number of employees
    Termination Date
    Track company property
    Employee works in multiple locations

New & Changed Features for OrangeHRM ver 2.3-beta.1

	New features added
	------------------
	Implemented field level database 128-bit AES encryption for selected
	fields (Social Security No. & Basic Salary)

New & Changed Features for OrangeHRM ver 2.3-alpha.14 (Beta.1)

	Introduced mktime() for _customFormatStringToTimeStamp at lib/common/LocaleUtil.php for handling Punch In/Out. For others it still uses strtotime()

	Bug Fixes
	---------
	1947697 - 2.3-alpha.8:For next year balance should be brought forward
	1947612 - 2.3alpha.8- ESS clicks benefits->HealthSavingPlan,wrong page
	1929961 - Time Module ->Punch IN Punch OUT gives an error
	1958428 - Time Module: Project Time , Timesheet period not validated
	1961072 - HSP - Changing the employment status leads to a warning

New & Changed Features for OrangeHRM ver 2.3-alpha.8

	Bug Fixes
	---------
	Fixed the IE7 related issues for the bug 1923726 - Plan halted by user,its not
	halted when the user, admin logg
	Removed the back button for navigation in templates/leave/leaveList.php to avoid
	the IE specific error (1945552 - Taken Leave link -> back button lead to expired page)

	Note:
		The removal of the navigation button is only for this release.
		A seperate fix need to be done to correct the navigation path

New & Changed Features for OrangeHRM ver 2.3-alpha.7

	Bug Fixes
	---------
	1927748 - HSP_Remain balance of FSA not added to total accrued
        nextyear
        1937394 - HSP -Import export serch dropdown is empty (Search was
        removed from UI)

New & Changed Features for OrangeHRM ver 2.3-alpha.6

	Bug Fixes
	---------
	1948543 - 2.3 alpha.8-For Admin,Timesheet total for a week is wrong

New & Changed Features for OrangeHRM ver 2.3-alpha.6

	Bug Fixes
	---------
	1939205 - HSP-alpha.5:Admin can edit the HSAamount greater than acrued
	1931162 - Email configuration not set or incorrect need a warning
	1937400 - HSP: Admin -> Email configuration ->Save
	1932045 - HSP-In Define Custom Export, Reset button doesnt give blank
	1927227 - HSP Leave Summary -> leave Type not filtered : Improved the code to
	fix the error caused by the query condition when filtering leave summary.
	1939264 - HSP-alpha.5:Ess click 'Request Halt' doesnt generate email
	1929961 - Time Module ->Punch IN Punch OUT gives an error and [1] - 1926819 -
	SSS-My Time Sheet Data Not display for each ESS users


New & Changed Features for OrangeHRM ver 2.3-alpha.1

	Bug Fixes
	---------
	1916308 - HSP Summery edit details are not saved properly
	1916472 - Ess can apply for HSA , amount greater than annual limit
	1916540 - Edit check date moves to a bloker page
	1916602 - Total accrued value appear as zero when the pay date passed
	1923726 - Plan halted by user,its not halted when the user
	1924106 - ESS user request for payments goes to noyice page
	1924175 - Enterd Null value for employee,click search move to errorpage
	1916296 - Data repeating in Personal HSP summery
	1916315 - EmployeeHSP Summery,names of the text boxes are changed
	1916439 - Email notification doesnt have a link for HSP request
	1916489 - Before the first pay date emp can request amount greter than limit
	1916497 - Employee can enter greater value for HRA before 1st pay date
	1924121 - After Admin paid it is not added to Total Used in HSPSummery
	1924262 - When trying to save HSP used list moved to warning page
	1924274 - HSP Summery cannot be viewed as PDF format
	1916456 - EmployeeHSP Summery Spelling mistake-"Accured"
	1916313 - EmployeHSP Summery,year Drop D.Box apear over navigation
	1923644 - Health Savings Plan UsedList ,data under columns not centerd

	Enhancements
	------------
	* Enhanced the HSP Summary PDF report

New & Changed Features for OrangeHRM ver 2.3-alpha.1

		Completed benefits module

New & Changed Features for OrangeHRM ver 2.3-alpha.1 - 2nd Weekly Release

		1. HR Admin records details of a payment
		2. HR Admin views HSP due payments

New & Changed Features for OrangeHRM ver 2.3-alpha.1 - 1st Weekly Release

		1. Added 'Benefits' module.
		2. Add pay periods functionlity.
		3. HSP Request functionality.

New & Changed Features for OrangeHRM ver 2.2.3-alpha.1

        1. Features merged from payroll-integration branch:
          * Direct deposit information
          * Tax information
          * Custom fields
          * CSV Export
          * User defined CSV export

	2. CSV Import

	BugId     Name
		1874111 - Leave approve/deny emails do not have information
		1874462 - Leave approval emails are sent again, each time the 'Save'
		1852876 - Admin can assign leave without setting leave quota
		1858828 - Apply leave 2007 -2008 : Summary inaccurate
		1882536 - Problem in Time sheet data
		1896684 - Timesheets are not populated with time events
		1896689 - Details of timesheet not showing all the time events
		1899339 - Essuser can view future timesheets ,enter future time events
		1901201 - Terminated employees' names are shown in leave summary
		1903690 - Next button in timesheet doesn't jump to the next timesheet
        1856039 - Specific holiday shown for previous year
        1824976 - Approved leave should not show cancelled leave
        1824973 - Leave list shown as 0:00 - 0:00
        1861635 - change the heading “Payments
        1861636 - menu icon name change direct deposit NOT direct debi
        1861634 - Title change.. cosmetic
        1867592	- Error when saving direct deposit with type = 'FLATMINUS
        1867597 - Direct Debit info not in CSV if empId & empnum different

New & Changed Features for OrangeHRM ver 2.2.2.2

        1. "Leave List" menu item in Leave module renamed to "My Leave"
        2. "Scheduled Leave" menu item in Leave module renamed to "Leave List"
           and options added to filter leave list by status and date.
        3. "Taken Leave" menu item removed, since "Leave List" menu item
           allows you to view/cancel taken leaves.
	4. Now leave requests that overlap previous leave requests are not
           allowed.

	BugId     Name
	1843217   Leave Module: Taken leave incorrect calculation
        1841792   Incorrect number of leave hours when shift changes
        1838473   Leave -> Apply Leave
        1841195   Leave hours calculated for holidays
	1843238   Scheduled Leave will show cancelled leave
	1845291   Leave Module : HRAdmin Could not change state
        1847761   Leave List -> take and taken Leaves : same functionality
	1847625   Apply leave hours greater than work shift
	1849844   overlapping leave ranges. Common days counted several times.
	1846303   Duplicate leave requests

New & Changed Features for OrangeHRM ver 2.2.2.1
	BugId     Name
	1809967   No option listed superviser to print timesheets
	1826715   Version

New & Changed Features for OrangeHRM ver 2.2.2
	BugId     Name
	1817700   Admin-> Leave Schedule back button incorrect function

New & Changed Features for OrangeHRM ver 2.2.2-alpha.3

	BugId     Name
	1808010   When entering the "port" for the DB, your maxlength and size
	1807298   Gary out fields can not being seen. It’s very light.
	1807890   Report to : Employee report to himself : Failed to Add
	1809332   Leave apply, Total hours can be space
	1809926   Print Time sheet , selecting a division thrown an error
	1809927   Print Timesheet: Back button not viewd
	1810498   HRAdmin can not cancel mistakenly assigned leaves
	1810503   HRAdmin need a way to approve leaves
	1810611   It should be possible to cancel leave taken in the past

New & Changed Features for OrangeHRM ver 2.2.2-alpha.2

	BugId     Name
	1786631   Report - Service period should be a date range
	1798609   supervisor view Leave Reports throws a error
	1798647   ESS User Cannot delete time sheet entries
	1798657   ESS User Cannot submit timesheets
	1798542   Incorrect leave notification when applying range of leaves
	1774620   All the Activies are not listed in the Time sheet view
	1792369   Leave for range of days spanning holiday throws error
	1797757   PIM->Contacts: Fields need to validated, Its not Consistent
	1798637   Ess User edit time sheet thorws a error
	1788313   Negative leave balance
	1797694   Bugs in Currency list
	1798643   Cannot add 2nd information
	1800965   PIM->Dependents-> Children throws invalid validation
	1746433   Security issue in reports
	1801071   Time Module-> Project TIme - > New Event:Unhanded exception
	1801796   Timesheet update fails when DefineTimesheet periode changed
	1801799   Edit Timesheet fails : when Define Timesheet Period Changed
	1798542   Incorrect leave notification when applying range of leaves.
	1740184   "other" in defining company structure
	1780724   $lang_compstruct_add wrong in spanish language pack
	1779365   Supervisor should be able to change the approval status
	1796027   Leave: alert shoud be there for past leaves
	1798620   superviosr assign leave : user interface screwed up
	1804007   Can delete terminated status
	1758866   Upload Description Missing
	1803997   Error in displaying apostrophe
	1806158   Holidays are not marked in the detailed leave list
	1803994   Missing dot in warning message
	1804158   Time - Project Reports - more space needed
	1806819   Print timesheets - Back button
	1807330   HR Admin cannot assign leave with only total hours
	1806812   Print timesheets - Printing does not work in IE
	1807331   Leave - incorrect To time automatically calculated
	1807339   Supervisor cannot cancel assigned leave
	1807336	  Supervisor cannot cancel leave assigned by HR Admin
	1807333   HR Admin cannot cancel leave

New & Changed Features for OrangeHRM ver 2.2.2-alpha.1

	1. Apply/Assign Leave in Hours
	2. Workshifts

	BugId     Name
	1785494   Displaying non-recurring holidays for the next year
	1786588   Timesheet - include powered by OrangeHRM

New & Changed Features for OrangeHRM ver 2.2.1-beta.1

	BugId     Name
	1774606   Record Internal Should not visible to the user
	1774587   Back Button is Not there : Project Reports
	1776023   We should not allow add an employee to supervisor himself
	1776009   When deleting a subordinate Error Occurred.
	1782342   ESS User can Enter same time periode twice
	1782343   Should give a meaningful error when entering overlapping time

	(Bug fixes merged from 2.2 branch)
	1758646   Define Report - Assign User Group - No option to save
	1747768   ESS user Attachments pane should not view
	1720647   No validation for SMTP port no
	1739556   Admin-> Pay Grade : step increase can exceed Maximum salary
	1759410   No of days of leave in subject is incorrect
	1753736   The default leave view for supervisor
	1763177   Half day / morning taken as afternoon
	1755951   Unable to delete/edit Leave
	1756001   Upgrade issue from 2.2-rc2 to 2.2 (Upload limit)
	1758672   Reports :Text overlapped in qualification
	1741094   There is an unnecessary line in ESS Employee Box
	1756638   Timesheets allow entering times outside of timesheet period
	1619852   Duplicate values for Languages, Races, Skills etc.
	1761859   Leave Summery List Deleted Leave Types
	1756437   Not Display Properly(Leave Summary/Quota)
	1723581   [Usability] [CRB] Contact info should be at the top
	1764110   All text should be in resource files
	1779797   emppop.php
	1753736   The default leave view for supervisor
	1779300   No Paging in User Management module
	1766285   Membership name with quote not shown in PIM
	1783741   Ess User : Should not view Attachment Browse

New & Changed Features for OrangeHRM ver 2.2.1-alpha.1

	1. Punch in/out time for ESS users
	2. All new interface to add new time events and
	   complete time events.
	3. Define work week for timesheets
	4. Detailed employee time reports
	5. Detailed timesheet view
	6. ID's now maintained in hs_hr_unique_id table.
	   Note that if you insert data directly into the database using SQL,
       you should run the script php build/fix-ids.php (or phing fix-ids).
	7. Upgrader attempts to fix any corruption in database tables (due to running
       on myISAM tables) before applying foreign key constraints.
	8. Removed 'Create New Database' option from the upgrader

	BugId     Name
	1754656   Email configuration Error
	1754559   Upgrade issue from 2.2-rc2 to 2.2
	1765530   Navigating back from System check will navigate to Options
	1769824   Report-to - do not assign with non English language packs
	1764128   Upgrading from 2.1 to 2.2 will not show the time module
	1765590   Upgrading to 2.2 from 2.0 or 2.1 hides leave module
	1765840   Upgrade from 2.0 to latest (2.2) fails due to leave changes
	1764192   Upgrade guide instructions may overwrite old version
	1766085   Adding image when creating employee in PIM - fails
	1766090   Adding first user after install fails
	1766276	  Newly added supervisor not seen
	1769115   Leave Module not listed after upgrading to 2.2.0.2
	1772954   Timesheet Punc IN/OUT Undefined variable
	1756630   When customer deleted, related timesheets not shown
	1773026   Submit Time Event: Loading Please wait
	1772964   Time Module: Punch IN/OUT Timesheet fatal error
	1756632   When customer deleted, related projects are not deleted
	1773749   Error When Adding Project supervisor
	1774595   Could not login to OrangeHRM: 2.2.1-alpha in win
	1774484   Could Not add Location: Admin Module

New & Changed Features for OrangeHRM ver 2.2 (09/07/2007) {Revision 1026}

	1. OrangeHRM Appliance for Windows

	BugId     Name
	1750216   Clear not functional in Password Change form
	1748130   Edit doesnt work in Spanish
	1748309   SQL/PHP Code is written in Reports
	1748152   Can not access next page
	1748398   InnoDB Disabled in XAMPP by default
	1748851   Add Project and Customer screwed in IE
	1748398   InnoDB Disabled in XAMPP by default


New & Changed Features for OrangeHRM ver 2.2 (04/07/2007) {Revision 1012}

	BugId     Name

	1745925   Admin-> Company Info :Country Select
	1746293   Emergency Contacts Not validated
	1746274   PIM : job title screwed
	1746365   Admin -> Pay Grade Maximum sal
	1746686   Assign Leave - the button should say Assign
	1747072   Invalid leave calculations
	1746681   Apply Leave - to date should be automatically populated
	1747444   Assign Leave: Apply with no employee generates error
	1747505   Admin -> Company Info State with ' in name
	1747514   Undefined variable: jobTitle in Reports-> view Reports
	1747240   Leave summary should be updated when supervisor approves leave
	1747570   Employee Image not displyed with Spanish and Russian

	Following bugs were closed

	1745501   problem with escape sequence \
	1747745   PIM -> Contact ->State / Province error when ' insert


New & Changed Features for OrangeHRM ver 2.2 (30/06/2007) {Revision 988}

	BugId     Name

	1739538   Mail configuration UI


New & Changed Features for OrangeHRM ver 2.2_RC_4 (28/06/2007) {Revision 964}

	BugId     Name

	1744610   Upgrader not works
	1744673   Installer Not Works RC_4


New & Changed Features for OrangeHRM ver 2.2_RC_4 (27/06/2007) {Revision 961}

	BugId     Name

	1701837   Customers menu item icon
	1701839   Projects menu item icon not correct
	1709824   Add sub-division - buttons are not consistent
	1743544   Leave Summary : no records found

	Following bugs were closed

	1742916   Time PHP error


New & Changed Features for OrangeHRM ver 2.2_RC_4 (25/06/2007) {Revision 950}

	1. Dutch language pack added (stable)
	2. New PIM view for supervisors (of only their subordinates)

	BugId     Name

	1712255   Usability: Reports selection criteria -> Show emp number
	1709830   Adding a paygrade - currencies that are no longer used are t
	1722688   Wrong confirmation message after changing the password
	1736825   Qualification and year of passing is not on the same line
	1736827   Increase the field width in reports
	1712267   Empty fields shown inconsistently in reports
	1730425   You can make the timesheet disappear
	1700188   Can't modify and still has "Edit"
	1709838   Job - Workstation is confusing
	1675497   It's possible to sort employees using all the fields
	1740634   Report to - incorrect label
	1701077   In leave summary it's desirable to have a sort by option
	1740940   Expiry of the Session does not reload the full page
	1740632   Home phone number need not be mandator for emergency contacts
	1741271   On-demand should capture error msg and save it to a log file
	1740744   On-Demand uses a single Email configuration
	1741743   When employee ids are specified supervisor does not appear

	Following bugs were closed

	1740211   authorization fail
	1741743   When employee ids are specified supervisor does not appear
	1741298   Could Not search with Employee ids : Report To


New & Changed Features for OrangeHRM ver 2.2_RC_3 (18/06/2007) {Revision 917}

	1. Support employee leaving the company
	2. Spanish language pack added (still in beta stage)

	Bugs fixed include:

	BugId     Name

	1734994   Undefined index: no_of_days_allotted
	1735477   OrangeHRM Russian Language Not Working
	1718864   User Group Rights - what\'s the meaning of clear button
	1735746   Undefined variable lang_rep_Languages
	1737107   Problem upgrading RC_1 to RC_2
	1736824   For qualification, if year of passing is not available it appears as 0
	1737641   Employee popup doesn't have names of some employees
	1701076   Leave Summary -> Employee Leave Summary heading is misleading
	1707583   Usability - No records found in Red
	1728387   Leave application notification is not complete
	1728134   No notice on leave application submission
	1714113   Better description for the error msg
	1709833   Paygrade - minimum salary, maximum salary, step increase need not be mandatory
	1709826   Feature: Add a sub-division - location need not be mandatory
	1586496   Employee Info - Job - Should be possible to select company as work station
	1710339   Adding a skill - description shown and not name
	1738084   Cannot login to On-demand with Russian in IE

	Following bugs were closed

	1716741   Location - Apostrophe not properly saved
	1736219   Reports Not Working with Spanish Language Pack
	1718860   User Group Right - Nothing happens when user group name is clicked
	1738077   Error in trying to generate report in Danish
	1738083   Cannot access On-Demand with Firefox in Russian
	1738081   Cannot access On-Demand using Danish from IE


New & Changed Features for OrangeHRM ver 2.2_RC_2 (08/06/2007) {Revision 896}

	1. Total columns in timesheets. See bug number 1723003

	Bugs fixed include:

	BugId     Name

   	1703507   Configuration file not writable - Installation Guide
	1725685   Multiple records in employee report
	1725390   Time -> update will not work
	1722517   E-mail validation - allow hypens
	1718868   Cannot change admin group user rights
	1712251   Defining reports - issue with age group
	1724986   [CRB] Need a report of all employees
	1725680   Feature: Work experience should show job title in the list
	1723600   [CRB] Work experience should be ordered by start date
	1712114   US holidays are pre-defined in Calendar
	1717263   License Expiry Date
	1709843   Job - Employee Contracts need not be mandatory
	1718873   Option 'Define Reports' when creating an admin group is meaningless
	1730878   [CRB] half day leave is shown as full day in leave summary
	1720000   Picture not displayed
	1632108   Supervisor Approve Leave List - Holidays
	1724957   Approve Leave - In comments slash apostrophe shown for apostrophe
	1674338   Overlapping logos (in Firefox)
	1723153   Duration - calculation
	1700807   Timesheet date labels are too close together
	1727283   Inserting new Langugage: Validation error
	1653892   Pay grades - back button
	1712992   Usability: It should be possible to edit a project by clicking project name
	1723003   Feature: Timesheet should have a total column
	1733288   Could not select a report
	1733393   Could Not set back to all employee: Report

	Following bugs were closed

	1712983   Adding Project - ProjectId should bee 2 words
	1697466   RIGHTS NOT APPLIED


New & Changed Features for OrangeHRM ver 2.2_RC_1 (28/05/2007) {Revision 859}

	1. Danish language pack added (stable)
	2. Skill and language as selection criteria for reports

	Bugs fixed include:

	BugId     Name

	1723318   Access error for ADMIN USER GROUP
	1718870   Any user has access to time and leave modules
	1723323   Ess user can approve/ reject time sheets


New & Changed Features for OrangeHRM ver 2.2_beta_6 (23/05/2007) {Revision 848}

	Bugs fixed include:

	BugId     Name

	1719809   First time sheet shown instead of the current timesheet
	1712952   PIM - Report to - Supervisors, Subordinates only last name shown
	1712987   Prioject list sorting does not work
	1719994   Cutomer list sorting does not work
	1713018   Define Days Off - specific holidays - column headings should be separeted
	1720978   On-Demand - SQL statement shown on Employee Reports
	1722204   Cannot enter duration
	1722203   Feature: Default time is in April
	1718926   Approve Leave only the employee first name is show
	1722950   Feature: Submitted Timesheets Pending Supervisor approval is not displayed.
	1716752   Unnecessary warning to save information
	1722980   Feature: It should be possible to delete a timesheet entry
	1723965   Interface is screwed
	1723962   Disabled fields could not identified
	1723698   No paging in Project List
	1723329   could not select a employee asending / decending
	1723958   Dependents: Date button is not aligned
	1700808   Timesheet customer and project activities to too close.
	1724429   On-Demand - Error in Approving Leave

	Following bug was closed

	1723702   Projects cannot be sorted


New & Changed Features for OrangeHRM ver 2.2_beta_5 (16/05/2007)

	Bugs fixed include:

	BugId     Name

	1717095   Leave Summary Error
	1713030   Error in generating report
	1713047   Error in report with field \'Report to\'
	1712273   Issue with joins in reports
	1718895   On-Demand - Error in Leave - Apply
	1718922   Leave summary does not show leave assigned
	1718915   Leave assigned to the wrong employee
	1700807   Timesheet date labels are too close together
	1716382   E-Mail system


New & Changed Features for OrangeHRM ver 2.2_beta_4 (10/05/2007)

	1. Danish language pack added (still in alpha stage)

	Bugs fixed include:

	BugId     Name

	1707109   not able to change password
	1708515   Change password, old and new password message has
	1709845	  Usability - error in adding employee not properly displayed
	1712110   Incorrect Employee Number in Reports
	1712975   Error in adding Project
	1712053   Default Leave?
	1712929	  On-Demand - Jobtitle - Employment status ADD, REMOVE does not work
	1712931	  On-Demand - cannot set employement status

	Following bugs were closed

	1709852   ESS User should able to change his or her password
	1709840	  Error in specifying status for job title


New & Changed Features for OrangeHRM ver 2.2_beta_3 (27/04/2007)

	Bugs fixed include:

	BugId     Name

	1701816   Customer ID or Name confusion in Project create/edit pages
	1701798   Project list should show company name not ID
	1701829   Usability - Inconsistant behavior when validation ZIP Code
	1701820   Usability-No leave types when leave entitlement not updated
	1701370   Error while selecting Country List box and submitting the Employee Information in ESS
	1703509   Configuration file not writable - Web_Installer
	1701070   Usability - Leave - Admin - assign
	1681976   usability : pim view screwed with 20483 records
	1681967   colud not select a employee
	1681994   Allowed memory size exhausted
	1683496   Access Right Violation in Leave Module
	1681970   Maximum execution time exceeded Leave Assign
	1681972   Maximum execution time exceeded Leave Summary
	1707883   Customer - Admin not translated
	1705713   ESS edit Middle name
	1681864   Half day leave
	1707128   Deleting HR-Admin Users deleted other Admins

	Following bugs were closed

	1703911   Error with Combo boxes using XML
	1703041   memberships
	1705315   Country caused xml errors
	1700159   cant change password
	1706623   Leave Type Not available
	1707064   Uploading of image failed
	1703108   Email configuration - SMTP
	1702607   error message.
	1694747   error on ESS
	1685874   connection failed
	1707820   Error in defining location


New & Changed Features for OrangeHRM ver 2.2_beta_2 (14/04/2007)

	Bugs fixed include:

	BugId     Name
	1690802   Select Employee - error
	1653910   Mail Configuration menu item icon
	1701795   Project name with space not shown properly
	1701794   Customer name with spaces not shown properly
	1700805   When creating a project make the description optional
	1700802   When defining a customer description need not be mandatory
	1701066   Usability - when defining a specific holiday, it\'s not clea
	1701083   Usability - Report-to - Improved wordings


	Following bugs were closed

	1693243   Non-Numerick Postal Code
	1699957   No leave types
	1694864   cannot choose leave type
	1690784   --- No Leave Types ---
	1699577   No Uk pound in currency table


New & Changed Features for OrangeHRM ver 2.2_beta_1 (12/04/2007)

	1. Image buttons for time module


New & Changed Features for OrangeHRM ver 2.2_alpha_2 (10/04/2007)

	1. Supervisor and HR-Admin can reject, approve and cancel timesheets
	2. Employees can submit and cancel timesheets


New & Changed Features for OrangeHRM ver 2.2_alpha_1 (05/04/2007)

	1. Employee, Supervisor and HR-Admin can view timesheets and add time events


New & Changed Features for OrangeHRM ver 2.1 (Neva) (16/03/2007)

	Bugs fixed include:

	BugId     Name

	1665885   [Usability] Attachement Size
	1596013   Usability - ESS - Don't show buttons that ESS user does not
	1657475   Uploaded image is distorted when displaying
	1586350   Usability - Dependents the boxes should be better aligned
	1654845   Maintanance module in the list
	1588284   User group functionality is incomplete
	1633739   Big number formatting


New & Changed Features for OrangeHRM ver 2.1_beta_2 (Elbrus) (13/03/2007)

	Bugs fixed include:

	BugId     Name

	1674324   More fields should be editable for ESS user
	1674335   ESS: License and Memberships should be editable
	1674330   ESS: Education should be editable
	1674332   ESS: Language should be editable
	1586342   Usability - Dependents - Don't show empty tables
	1586130   Employee Info - Emergency Contact - Don't show empty table
	1586362   Usability - Immigration - Don't show empty table
	1586541   Payments - don't show the empty salary table
	1586049   Usability - No need to show empty table when No records to display
	1678900   Only 999 users can be made
	1661282   Memberships for the specified membership type
	1619862   PIM - Image upload
	1586085   Usability - Emp Info - Search by 'Description' is misleading
	1586127   Employee Information - Contact - State should be state/province
	1595871   Uploading images failure to upload and display an image should be reported


New & Changed Features for OrangeHRM ver 2.1_beta_1 (Opala) (09/03/2007)

	Bugs fixed include:

	BugId     Name
	1674602   Undefined index Qualifications
	1674707   Memberships are not retrieved
	1675454   When user cancels leave supervisor gets a notification with
	1675453   When user applies for leave supervisor gets a notification:
	1675476   meaningful error message is displayed
	1587536   Usability - Languages - user either competence or competency
	1674693   Data too long
	1661282   Memberships for the specified membership type
	1664915   Required fields not marked
	1676959   View Reports : scroll bar not working
	1622772   You cannot get reports based on Skills
	1511099   KAZUTO MIZUHARA
	1554684   PIM - Workstation
	1612883   Instalation guide doesn\'t have the Screens. Installation guide doesn\'t have the Screen shots.
	1653917   "Enter" in licese name



New & Changed Features for OrangeHRM ver 2.1_alpha_9 (Ivan) (05/03/2007)

	Bugs fixed include:

	BugId     Name
	1671396   User without subordinates also has "Assign" leave option
	1671513   Leave approval comments get displaced
	1650447   Can't Save image on Profile
	1636575   Leave First Time
	1667353   Report-to emp id link problem
	1672197   Cannot save report - Field must be selected
	1672277   Cannot Edit Children
	1665694   Cannot assign to date present experience
	1661281   Unable to edit Language skills
	1659958   Misalignment
	1664199   Undefined index: chkLocID: Liceneses
	1664193   Undefined index: chkLocID
	1663342   City Cannot be empty
	1661272   Unable to enter second dependent/child
	1661278   Unable to edit education details
	1672351   could not apply leave
	1662228   Ñ
	1653917   "Enter" in licese name
	1664180   Could not Edit Employment Status
	1664526   Some Zip code fields will not accept letters
	1619800   HR Admin must be able to reset a user's password
	1662901   Morning
	1657516   [UI]
	1656010   Only First name appears in Leave Summary
	1657481   [UI] Leave Summary - extended menu does not disappear upon clicking
	1619841   Re-ordering search results doesn\'t work
	1673909   UndUndefined variable: lang_hremp_paygrade
	1619845   Adding ESS/Admin user with duplicate user name throws mysql error
	1601108   Job Title details errors
	1603483   User is not deleted
	1595304   Deleting a nationality warning need to be consistent with other warnings
	1595300   Deleting enthic race - warning message could be improved.
	1603592   Job Details missing after entry



New & Changed Features for OrangeHRM ver 2.1_alpha_8 (Peter) (28/02/2007)

	1. HR Admin / Supervisor assign leave to employee

	Bugs fixed include:

	BugId     Name
	1669706   Unable to create user
	1669702   Unable to configure mail settings in leave module
	1670684   PIM->Languages the drop down not translated
	1670803   Undefined variable: headingInfo


New & Changed Features for OrangeHRM ver 2.1_alpha_7 (Potr) (26/02/2007)

	Bugs fixed include:

	BugId     Name
	1668779   undefined variable $employeeinformation
	1668784   Undefined variable: addempstat
	1668794   Failed to Delete
	1668800   Nationality & Race: failed to delete
	1668796   Label: Failed to Delete
	1668795   Failed to Delete: skills
	1668878   lang_Menu_Admin_EmailConfig
	1668906   Membership: Undefined variable: selectmember
	1668870   XML Parsing Error:

New & Changed Features for OrangeHRM ver 2.1_alpha_6 (Nikolaj) (23/02/2007)

	1. PIM is completely translated into Russian
	2. Mail notifications to HR Admins(configurable)

	Bugs fixed include:

	BugId     Name
	1649424   menu problem
	1666769   System Check Error with absent MySQL ext
	1666689   Missing pull down menu
	1665950   \'x\'; DROP TABLE hs_hr_compstructtree; --\';
	1665836   Company Genaral is not Vulnerable to SQL Injection
	1662150   E-mail validation
	1660564   Employee ID 000
	1659714   Error Page Seen
	1659438   Job title - Error in adding employment status to job title

New & Changed Features for OrangeHRM ver 2.1_alpha_5 (Alex) (13/02/2007)

	1. Enhanced PIM employee list. Columns are sortable
	2. PIM is partly translated into Russian

	Bugs fixed include:

	BugId     Name
	1654026   MySQL Error in Employee Leave Summary
	1656548   Unable to login
	1656000   Security Vulnerabilities
	1655111   PIM Undefined String offset error
	1654156   Invalid email validation for Email
	1654026   MySQL Error in Employee Leave Summary
	1652248   Employee List is not paged


New & Changed Features for OrangeHRM ver 2.1_alpha_4 (Ruslan) (04/02/2007)

	1. Leave Summary of all employees can be viewed by HR-Admins in one screen.
	   All functionality in previous release is preserved.
	2. Enhanced PIM employee list. New columns title, sub-division and supervisor have
       been added.


New & Changed Features for OrangeHRM ver 2.1_alpha_3 (Dima) (24/01/2007)


	1. User defined employee ID's added.
		See http://www.orangehrm.com/app/wiki/index.php/Orange_Future#User_defines_employee_id

	2. Usability related bug fixes

	BugID	Name
	1619883   Usability - Add consistant borders to edit fields
	1619870   Usability - Cannot identify which section is being edited in Employee Information
	1619863   Usability - Mark compulsary fields in bug tracker page
	1619877   Usability - Comment field in "Apply leave" should be multiline
	1619868   Usability - Validation of email fields etc.
	1587567   Usability - Company info - locations - clear does not clear all fields
	1587548   Usability - Membership - Don't show an empty table when there are no memberships defined
	1587448   Usability - Work Experience - Don't show empty tables
	1587543   Usability - License - Don't show empty table when there are no assigned licenses.
	1587524   Usability - Employee Information - Languages - Don't show empty tables
	1586478   Usability - Job - Don't show empty contracts table
	1586098   Usability - Adding a nationality - need a proper error message
	1586128   Usability - Employee Info - Contact - State1 should be 1 line
	1586087   Usability - Employee Information - link should be on emp name
	1586056   Usability - Emp Info - paging options to be left aligned



New & Changed Features for OrangeHRM ver 2.1_alpha_2 (Gleb) (17/01/2007)

	Provided that e-mail addresses are defined for employees.

	- When an ESS user applies for leave or cancels leave his/her supervisor
	will receive a notification mail.
	- When the supervisor approves/rejects leave, the employee applied for leave
	will be notified

New & Changed Features for OrangeHRM ver 2.1_alpha_1 (Vlad)(09/01/2007)

	In OrangeHRM-ver-2.1 ESS Users have the ability to apply for leave
	for multiple days.

	Further Holidays could be defined in OrangeHRM. These will be used
	when calculating leave.

New & Changed Features for OrangeHRM ver 2.0.5 (25/12/2006)

	Bugs fixed include:

	BugID    Name
	1619876  Usability - Change "Leaves list" to "Leave list"
	1588273  Edit ESS Users - Clear button does not work
	1586354  Employee Information - Not possible to remove a picture
	1586132  Usability - Employee Info - Emergency Contacts
	1619838  Back button on Change password page doesn't work


New & Changed Features for OrangeHRM ver 2.0.3 (8/12/2006)
	This is a maintenance release (bug Fixes)

	Bugs fixed includes;

	the closed bug list in this release are as follows (as maintained at SourceForge bug tracker)

		BugID	Name
		1597951	apply leave online
		1597948	cant create admin user
		1600063	Leave Module malfunction
		1599550	Apply leave from date to date
		1596002	ESS - Error in clicking back button
		1596016	ESS - Don't let user enter report-to details and then deny a
		1596014	ESS - Payments - don't let user enter values by pressing edi
		1596007	ESS - in dependents by default the text boxes are disabled.
		1601707	File inclusion failure in upgrader
		1601010	Select Past Date
		1601954	It possible to apply for leave once
		1601852	Doesnt list leave type
		1601913	Define leave type --> name field too short
		1601955	Applying for leave if half day no option to select morning o
		1586053	Adding an Employee - Middle name need not be mandatory
		1601950	Error in applying for leave
		1601965	In ESS there should be a leave summary menu option on the le
		1587529	Skills - Language - Incorrect Language
		1601974	The default view for the supervisor must be approve leave
		1602000	Employee cannot view cancelled leave
		1596006	ESS - inconsistency in the way emergency contacts are added
		1602018	Enhancement - consider giving the option to manager to mark
		1601979	Manager can\'t approve leave
		1601972	Manager view - approve leaves should be changed to approve
		1588298	In reports if you select address only 'Street 1' is displaye
		1601943	Selecting employee for leave summary for years should be ava
		1601998	Employee does not see rejected leave
		1586001	Incorrect spelling and grammar in installation guide
		1586028	Installation guide - previous button does not work properly
		1595872	Cannot upload attachment with IE6
		1595886	Attachment - browser gets stuck trying to upload large files
		1601995	New links to support and forum does not appear well in IE
		1595128	no empl.-ID . bug in popup
		1595310	  Incorrect English in report to
		1600964	employee id for report to is not populated
		1586043	Installation guide - 'Database Creation' is unclear
		1587517	Employee Info - Skills - Experience - fractions not allowed
		1586485	Job Titles - clear button does not work
		1605063	Error in database script (dbscript.sql)
		1604697	Error saving Education Info
		1602997	Company Structure Enhancement
		1602126	Spelling mistake
		1603663	Pay grade not visible in Payment tab
		1595318	Not possible to specify payments
		1601768	Error on web installation guide
		1601764	When adding pay grade error encounted.
		1609918	cannot apply form
		1601919	Deleted leave types appear in employee leave summary
		1601937	Changing entitled leave - don\'t enable changing for deleted
		1601952	Apply for leave -> button should be Apply
		1587897	Unable to enter Pay grade
		1611331	leave summary
		1602012	Need an option to go back from leave summary
		1612445	Usability - Remove word module from tabs
		1612452	Apply for date - \'From date\' should be \'Date\'
		1602181	Leave Type not visible by ESS user
		1612444	Usability - Reports tab should appear after leave tab
		1613016	City should come before state
		1613072	Saving leave when there are no status combos
		1611837	Half day leave taken to be deducted as half day.
		1586134	Usability - Employee Info - Emergency Contacts - No need of
		1600379	Leave - Problem when selecting date
		1609980	Back button is not working
		1609102	apply leave from Date to Date
		1587554	Membership types - improve wording of select box
		1587491	Education - search by name does not make sense
		1601662	we cannot able to browse the picture second time
		1595314	Display columns of a report are taken as selection critera
		1588301	In reports salary grade is shown empty
		1609011	Education Tab
		1605782	Auto notification via email
		1586035	It should not matter from where the zip file is extracted
		1612712	Usability - consistent colors and fonts must be used through
		1595307	  Unused currencies appear in currency list
		1601118	Report - Age
		1614911	Leave
		1611993	failed to add a new employee
		1588300	In reports date of birth is not shown properly
		1581173	can not input chinese
		1609083	cannot submit data
		1602996	Education can not save information
		1587730	FAQ facts are obsolete



New & Changed Features for OrangeHRM ver 2.0 (30/10/2006)

	In OrangeHRM-ver-2.0 Leave module is introduced.

New & Changed Features for OrangeHRM ver 1.2 (16/08/2006)

	The main idea behind releasing OrangeHRM-ver-1.2 is to make the application more
	usable in terms of streamlining the UIs and functionality, etc.


	Admin Module
	Streamlining functionality meant that some of the features available in previous
	releases were removed since they were not particularly useful in current feature
	specification.

	The removed features include;

	- Job profiling; (Job Descriptors, Designation Description, etc.)
	- Extra Curricular Activities
	- Bank Information
	- Cash/Non-cash Benefits
	- Tax Details

	Furthermore the terminology used previously was changed;

		+ Hierarchy Definition/Company Hierarchy was changed to Company Structure
		+ Corporate Title and Designation was combined and named as Job Title
		+ Salary Grade was changed to Pay Grade
		+ Qualifications are structured into; Education, Skills, Licenses, Languages

	Some UI enhancements include;

		+ Company Structure now features a tree hierachy to illustrate the company structure
		+ There are composite UIs which enables the user to do every thing on one page

	User/User Group creation is now moved into the Admin Module

		User
			* Users will not be able to delete the user account they have used to login
			* Users are divided into HR Admin users and Ordinary users.
					+ all HR Admin Users should belong to a User Group
					+ they can exist as an employee in PIM and have access to ESS
					+ all Normal Users should exist as Employees in PIM

		User-Groups
			* User cannot delete the user group he belongs to
			* Ability to define reports is given at the time of User Group creation.

	PIM

	now in PIM once the employee is created, all the parts of PIM that keeps track of an
	employee information can now be entered in a single page and saved at once.

	following additional records can now be kept;

		+ 	records of children
		+	records of dependents
		+	records of emergency contacts
		+	records	of licenses


New & Changed Features for OrangeHRM ver 1.0 (15/03/2006)

New Features

- PIM (employee photograph/Report To)
- ESS
- Reports

PIM;

* Employee Information now contains the facility to maintain the
employee's photograph.
Employee photograph could be included (not mandatory) while an employee
is added to
Employee Information and can also be updated (replaced) with latest
photographs in edit mode.

* Report To
This feature allows to define the report to hierarchy of all employees
(supervisors/subordinates)
and reporting type (direct/indirect); On selecting an employee, all the
supervisors/subordinates
assigned to that employee will be listed separately at the bottom of the
page. To add a new supervisor/subordinate,
simply select the supervisor/subordinate from the pop-up window that can
be opened by clicking on the button next
to the 'Employee ID' field. The reporting method should also be selected
as : direct/indirect. To edit an existing
supervisor/subordinate, click on the Employee ID of the relevant
supervisor/subordinate in the lists below
and make the necessary changes. To un-assign a supervisor/subordinate,
simply delete the supervisor/subordinate
from the relevant list.


ESS
Employee Self Service facilitates employees to edit their own personal
data without the
intervention of the HR Department. However, sensitive data would only be
displayed and would
not be editable using ESS. If the user logged in is not a HR Admin user,
then the user will be
presented with this module with his/her employee information enabling
them to edit their personal
data. (sensitive data such as salary grade, corporate tile, etc. will
remain read-only).

Note: All users are now classified as normal users and HR admin users. A
user is
considered as HR Admin if the HR Admin checkbox is selected in the user
creation form
under maintenance module. All other employees are considered as ordinary
users.

Reports
This feature produces customized reports (users will be able define
report criteria and result fields).
Different reports can be defined and stored. Reports can be generated
after providing the report criteria.
Reports can only be generated by users who belong to user groups
assigned to view those reports at the
time of report definition.

The ability to define reports depends on the user group of the currently
logged on user. If the user
group of the currently logged on user is allowed to define reports, then
the user will be displayed with
a separate tab on the sub-menu to define reports. When defining reports,
a set of selection criteria and
report fields will be provided to the user. Users can name the report,
select the relevant criteria and
required fields. After saving the reports, the user will then be asked
to assign user groups to the reports.
Only users belonging to the assigned user groups will be able to view
reports. User-groups can also be assigned
and removed at a later time once the report has been defined. This can
be done by selecting reports and clicking
on Assign User Groups to go to the Assign User Groups page.

To view a report, click on View Reports in the sub-menu and then select
the report from the list. Depending upon
the criteria defined for the report, you will be asked to enter criteria
data required to generate the report.
To summarize the report you can de-select fields (only the selected
criteria and fields during report definition
would appear in this form) and click on Generate Report.

Changed

All Admin/PIM/Maintenance
All items newly created having system generated codes may not be stored
with the same code displayed earlier.


Maintenance
User
* Users will not be able to delete the user account they have used to login
* Users are divided into HR Admin users and Ordinary users. If the Is
HR Admin
flag is selected, then all the modules (Admin, PIM, Reports, Maintenance,
Bug Tracker will be available to them). However if the Is HR Admin
flag is
not selected the user will only be given access to ESS module.

User-Groups
* Admin User group cannot be deleted
* Ability to define reports is given at the time of User Group creation.
=======
New & Changed Features for OrangeHRM ver araliya 0.1-alpha.5

	BugId	  Name
	(merged from the trunk, 2.2.2-alpha.2)
	1740184   "other" in defining company structure
	1758866   Upload Description Missing
	1780724   $lang_compstruct_add wrong in spanish language pack
	1779365   Supervisor should be able to change the approval status
	1798620   superviosr assign leave : user interface screwed up
	1796027   Leave: alert shoud be there for past leaves
	1804007   Can delete terminated status
	1803997   Error in displaying apostrophe
	1806158   Holidays are not marked in the detailed leave list
	1803994   Missing dot in warning message
	1804158   Time - Project Reports - more space needed
	1806819   Print timesheets - Back button

New & Changed Features for OrangeHRM ver araliya 0.1-alpha.4

	BugId	  Name
	(merged from the trunk, 2.2.2-alpha.2)
	1798647   ESS User Cannot delete time sheet entries

New & Changed Features for OrangeHRM ver araliya 0.1-alpha.3

	BugId	  Name
	(merged from the trunk, 2.2.2-alpha.2)
	1800965   PIM->Dependents-> Children throws invalid validation
	1746433   Security issue in reports
	1801071   Time Module-> Project TIme - > New Event:Unhanded exception
	1801796   Timesheet update fails when DefineTimesheet periode changed
	1801799   Edit Timesheet fails : when Define Timesheet Period Changed
	1798542   Incorrect leave notification when applying range of leaves

New & Changed Features for OrangeHRM ver araliya 0.1-alpha.2

	BugId	  Name
	1798609   supervisor view Leave Reports throws a error
	1798647   ESS User Cannot delete time sheet entries
	1798657   ESS User Cannot submit timesheets
	1798637   Ess User edit time sheet thorws a error
	1797757   PIM->Contacts: Fields need to validated, Its not Consistent
	(merged from the trunk, 2.2.2-alpha.1)
	1798542   Incorrect leave notification when applying range of leaves
	1774620   All the Activies are not listed in the Time sheet view
	1792369   Leave for range of days spanning holiday throws error
	1788313   Negative leave balance
	1797694   Bugs in Currency list
	1798643   Cannot add 2nd information

New & Changed Features for OrangeHRM ver araliya 0.1-alpha.1

	1. Supervisor Marks and Employee Delayed
	2. Track Employee Late Time
	3. Localize OrangeHRM (Dates)

	BugId     Name
	1786631   Report - Service period should be a date range
	1798542   Incorrect leave notification when applying range of leaves.
	1774620   All the Activies are not listed in the Time sheet view
	1792369   Leave for range of days spanning holiday throws error

New & Changed Features for OrangeHRM ver 2.2.2-alpha.1

	1. Apply/Assign Leave in Hours
	2. Workshifts

	BugId     Name
	1785494   Displaying non-recurring holidays for the next year
	1786588   Timesheet - include powered by OrangeHRM

New & Changed Features for OrangeHRM ver 2.2.1-beta.1

	BugId     Name
	1774606   Record Internal Should not visible to the user
	1774587   Back Button is Not there : Project Reports
	1776023   We should not allow add an employee to supervisor himself
	1776009   When deleting a subordinate Error Occurred.
	1782342   ESS User can Enter same time periode twice
	1782343   Should give a meaningful error when entering overlapping time

	(Bug fixes merged from 2.2 branch)
	1758646   Define Report - Assign User Group - No option to save
	1747768   ESS user Attachments pane should not view
	1720647   No validation for SMTP port no
	1739556   Admin-> Pay Grade : step increase can exceed Maximum salary
	1759410   No of days of leave in subject is incorrect
	1753736   The default leave view for supervisor
	1763177   Half day / morning taken as afternoon
	1755951   Unable to delete/edit Leave
	1756001   Upgrade issue from 2.2-rc2 to 2.2 (Upload limit)
	1758672   Reports :Text overlapped in qualification
	1741094   There is an unnecessary line in ESS Employee Box
	1756638   Timesheets allow entering times outside of timesheet period
	1619852   Duplicate values for Languages, Races, Skills etc.
	1761859   Leave Summery List Deleted Leave Types
	1756437   Not Display Properly(Leave Summary/Quota)
	1723581   [Usability] [CRB] Contact info should be at the top
	1764110   All text should be in resource files
	1779797   emppop.php
	1753736   The default leave view for supervisor
	1779300   No Paging in User Management module
	1766285   Membership name with quote not shown in PIM
	1783741   Ess User : Should not view Attachment Browse

New & Changed Features for OrangeHRM ver 2.2.1-alpha.1

	1. Punch in/out time for ESS users
	2. All new interface to add new time events and
	   complete time events.
	3. Define work week for timesheets
	4. Detailed employee time reports
	5. Detailed timesheet view
	6. ID's now maintained in hs_hr_unique_id table.
	   Note that if you insert data directly into the database using SQL,
       you should run the script php build/fix-ids.php (or phing fix-ids).
	7. Upgrader attempts to fix any corruption in database tables (due to running
       on myISAM tables) before applying foreign key constraints.
	8. Removed 'Create New Database' option from the upgrader

	BugId     Name
	1754656   Email configuration Error
	1754559   Upgrade issue from 2.2-rc2 to 2.2
	1765530   Navigating back from System check will navigate to Options
	1769824   Report-to - do not assign with non English language packs
	1764128   Upgrading from 2.1 to 2.2 will not show the time module
	1765590   Upgrading to 2.2 from 2.0 or 2.1 hides leave module
	1765840   Upgrade from 2.0 to latest (2.2) fails due to leave changes
	1764192   Upgrade guide instructions may overwrite old version
	1766085   Adding image when creating employee in PIM - fails
	1766090   Adding first user after install fails
	1766276	  Newly added supervisor not seen
	1769115   Leave Module not listed after upgrading to 2.2.0.2
	1772954   Timesheet Punc IN/OUT Undefined variable
	1756630   When customer deleted, related timesheets not shown
	1773026   Submit Time Event: Loading Please wait
	1772964   Time Module: Punch IN/OUT Timesheet fatal error
	1756632   When customer deleted, related projects are not deleted
	1773749   Error When Adding Project supervisor
	1774595   Could not login to OrangeHRM: 2.2.1-alpha in win
	1774484   Could Not add Location: Admin Module

New & Changed Features for OrangeHRM ver 2.2 (09/07/2007) {Revision 1026}

	1. OrangeHRM Appliance for Windows

	BugId     Name
	1750216   Clear not functional in Password Change form
	1748130   Edit doesnt work in Spanish
	1748309   SQL/PHP Code is written in Reports
	1748152   Can not access next page
	1748398   InnoDB Disabled in XAMPP by default
	1748851   Add Project and Customer screwed in IE
	1748398   InnoDB Disabled in XAMPP by default


New & Changed Features for OrangeHRM ver 2.2 (04/07/2007) {Revision 1012}

	BugId     Name

	1745925   Admin-> Company Info :Country Select
	1746293   Emergency Contacts Not validated
	1746274   PIM : job title screwed
	1746365   Admin -> Pay Grade Maximum sal
	1746686   Assign Leave - the button should say Assign
	1747072   Invalid leave calculations
	1746681   Apply Leave - to date should be automatically populated
	1747444   Assign Leave: Apply with no employee generates error
	1747505   Admin -> Company Info State with ' in name
	1747514   Undefined variable: jobTitle in Reports-> view Reports
	1747240   Leave summary should be updated when supervisor approves leave
	1747570   Employee Image not displyed with Spanish and Russian

	Following bugs were closed

	1745501   problem with escape sequence \
	1747745   PIM -> Contact ->State / Province error when ' insert


New & Changed Features for OrangeHRM ver 2.2 (30/06/2007) {Revision 988}

	BugId     Name

	1739538   Mail configuration UI


New & Changed Features for OrangeHRM ver 2.2_RC_4 (28/06/2007) {Revision 964}

	BugId     Name

	1744610   Upgrader not works
	1744673   Installer Not Works RC_4


New & Changed Features for OrangeHRM ver 2.2_RC_4 (27/06/2007) {Revision 961}

	BugId     Name

	1701837   Customers menu item icon
	1701839   Projects menu item icon not correct
	1709824   Add sub-division - buttons are not consistent
	1743544   Leave Summary : no records found

	Following bugs were closed

	1742916   Time PHP error


New & Changed Features for OrangeHRM ver 2.2_RC_4 (25/06/2007) {Revision 950}

	1. Dutch language pack added (stable)
	2. New PIM view for supervisors (of only their subordinates)

	BugId     Name

	1712255   Usability: Reports selection criteria -> Show emp number
	1709830   Adding a paygrade - currencies that are no longer used are t
	1722688   Wrong confirmation message after changing the password
	1736825   Qualification and year of passing is not on the same line
	1736827   Increase the field width in reports
	1712267   Empty fields shown inconsistently in reports
	1730425   You can make the timesheet disappear
	1700188   Can't modify and still has "Edit"
	1709838   Job - Workstation is confusing
	1675497   It's possible to sort employees using all the fields
	1740634   Report to - incorrect label
	1701077   In leave summary it's desirable to have a sort by option
	1740940   Expiry of the Session does not reload the full page
	1740632   Home phone number need not be mandator for emergency contacts
	1741271   On-demand should capture error msg and save it to a log file
	1740744   On-Demand uses a single Email configuration
	1741743   When employee ids are specified supervisor does not appear

	Following bugs were closed

	1740211   authorization fail
	1741743   When employee ids are specified supervisor does not appear
	1741298   Could Not search with Employee ids : Report To


New & Changed Features for OrangeHRM ver 2.2_RC_3 (18/06/2007) {Revision 917}

	1. Support employee leaving the company
	2. Spanish language pack added (still in beta stage)

	Bugs fixed include:

	BugId     Name

	1734994   Undefined index: no_of_days_allotted
	1735477   OrangeHRM Russian Language Not Working
	1718864   User Group Rights - what\'s the meaning of clear button
	1735746   Undefined variable lang_rep_Languages
	1737107   Problem upgrading RC_1 to RC_2
	1736824   For qualification, if year of passing is not available it appears as 0
	1737641   Employee popup doesn't have names of some employees
	1701076   Leave Summary -> Employee Leave Summary heading is misleading
	1707583   Usability - No records found in Red
	1728387   Leave application notification is not complete
	1728134   No notice on leave application submission
	1714113   Better description for the error msg
	1709833   Paygrade - minimum salary, maximum salary, step increase need not be mandatory
	1709826   Feature: Add a sub-division - location need not be mandatory
	1586496   Employee Info - Job - Should be possible to select company as work station
	1710339   Adding a skill - description shown and not name
	1738084   Cannot login to On-demand with Russian in IE

	Following bugs were closed

	1716741   Location - Apostrophe not properly saved
	1736219   Reports Not Working with Spanish Language Pack
	1718860   User Group Right - Nothing happens when user group name is clicked
	1738077   Error in trying to generate report in Danish
	1738083   Cannot access On-Demand with Firefox in Russian
	1738081   Cannot access On-Demand using Danish from IE


New & Changed Features for OrangeHRM ver 2.2_RC_2 (08/06/2007) {Revision 896}

	1. Total columns in timesheets. See bug number 1723003

	Bugs fixed include:

	BugId     Name

   	1703507   Configuration file not writable - Installation Guide
	1725685   Multiple records in employee report
	1725390   Time -> update will not work
	1722517   E-mail validation - allow hypens
	1718868   Cannot change admin group user rights
	1712251   Defining reports - issue with age group
	1724986   [CRB] Need a report of all employees
	1725680   Feature: Work experience should show job title in the list
	1723600   [CRB] Work experience should be ordered by start date
	1712114   US holidays are pre-defined in Calendar
	1717263   License Expiry Date
	1709843   Job - Employee Contracts need not be mandatory
	1718873   Option 'Define Reports' when creating an admin group is meaningless
	1730878   [CRB] half day leave is shown as full day in leave summary
	1720000   Picture not displayed
	1632108   Supervisor Approve Leave List - Holidays
	1724957   Approve Leave - In comments slash apostrophe shown for apostrophe
	1674338   Overlapping logos (in Firefox)
	1723153   Duration - calculation
	1700807   Timesheet date labels are too close together
	1727283   Inserting new Langugage: Validation error
	1653892   Pay grades - back button
	1712992   Usability: It should be possible to edit a project by clicking project name
	1723003   Feature: Timesheet should have a total column
	1733288   Could not select a report
	1733393   Could Not set back to all employee: Report

	Following bugs were closed

	1712983   Adding Project - ProjectId should bee 2 words
	1697466   RIGHTS NOT APPLIED


New & Changed Features for OrangeHRM ver 2.2_RC_1 (28/05/2007) {Revision 859}

	1. Danish language pack added (stable)
	2. Skill and language as selection criteria for reports

	Bugs fixed include:

	BugId     Name

	1723318   Access error for ADMIN USER GROUP
	1718870   Any user has access to time and leave modules
	1723323   Ess user can approve/ reject time sheets


New & Changed Features for OrangeHRM ver 2.2_beta_6 (23/05/2007) {Revision 848}

	Bugs fixed include:

	BugId     Name

	1719809   First time sheet shown instead of the current timesheet
	1712952   PIM - Report to - Supervisors, Subordinates only last name shown
	1712987   Prioject list sorting does not work
	1719994   Cutomer list sorting does not work
	1713018   Define Days Off - specific holidays - column headings should be separeted
	1720978   On-Demand - SQL statement shown on Employee Reports
	1722204   Cannot enter duration
	1722203   Feature: Default time is in April
	1718926   Approve Leave only the employee first name is show
	1722950   Feature: Submitted Timesheets Pending Supervisor approval is not displayed.
	1716752   Unnecessary warning to save information
	1722980   Feature: It should be possible to delete a timesheet entry
	1723965   Interface is screwed
	1723962   Disabled fields could not identified
	1723698   No paging in Project List
	1723329   could not select a employee asending / decending
	1723958   Dependents: Date button is not aligned
	1700808   Timesheet customer and project activities to too close.
	1724429   On-Demand - Error in Approving Leave

	Following bug was closed

	1723702   Projects cannot be sorted


New & Changed Features for OrangeHRM ver 2.2_beta_5 (16/05/2007)

	Bugs fixed include:

	BugId     Name

	1717095   Leave Summary Error
	1713030   Error in generating report
	1713047   Error in report with field \'Report to\'
	1712273   Issue with joins in reports
	1718895   On-Demand - Error in Leave - Apply
	1718922   Leave summary does not show leave assigned
	1718915   Leave assigned to the wrong employee
	1700807   Timesheet date labels are too close together
	1716382   E-Mail system


New & Changed Features for OrangeHRM ver 2.2_beta_4 (10/05/2007)

	1. Danish language pack added (still in alpha stage)

	Bugs fixed include:

	BugId     Name

	1707109   not able to change password
	1708515   Change password, old and new password message has
	1709845	  Usability - error in adding employee not properly displayed
	1712110   Incorrect Employee Number in Reports
	1712975   Error in adding Project
	1712053   Default Leave?
	1712929	  On-Demand - Jobtitle - Employment status ADD, REMOVE does not work
	1712931	  On-Demand - cannot set employement status

	Following bugs were closed

	1709852   ESS User should able to change his or her password
	1709840	  Error in specifying status for job title


New & Changed Features for OrangeHRM ver 2.2_beta_3 (27/04/2007)

	Bugs fixed include:

	BugId     Name

	1701816   Customer ID or Name confusion in Project create/edit pages
	1701798   Project list should show company name not ID
	1701829   Usability - Inconsistant behavior when validation ZIP Code
	1701820   Usability-No leave types when leave entitlement not updated
	1701370   Error while selecting Country List box and submitting the Employee Information in ESS
	1703509   Configuration file not writable - Web_Installer
	1701070   Usability - Leave - Admin - assign
	1681976   usability : pim view screwed with 20483 records
	1681967   colud not select a employee
	1681994   Allowed memory size exhausted
	1683496   Access Right Violation in Leave Module
	1681970   Maximum execution time exceeded Leave Assign
	1681972   Maximum execution time exceeded Leave Summary
	1707883   Customer - Admin not translated
	1705713   ESS edit Middle name
	1681864   Half day leave
	1707128   Deleting HR-Admin Users deleted other Admins

	Following bugs were closed

	1703911   Error with Combo boxes using XML
	1703041   memberships
	1705315   Country caused xml errors
	1700159   cant change password
	1706623   Leave Type Not available
	1707064   Uploading of image failed
	1703108   Email configuration - SMTP
	1702607   error message.
	1694747   error on ESS
	1685874   connection failed
	1707820   Error in defining location


New & Changed Features for OrangeHRM ver 2.2_beta_2 (14/04/2007)

	Bugs fixed include:

	BugId     Name
	1690802   Select Employee - error
	1653910   Mail Configuration menu item icon
	1701795   Project name with space not shown properly
	1701794   Customer name with spaces not shown properly
	1700805   When creating a project make the description optional
	1700802   When defining a customer description need not be mandatory
	1701066   Usability - when defining a specific holiday, it\'s not clea
	1701083   Usability - Report-to - Improved wordings


	Following bugs were closed

	1693243   Non-Numerick Postal Code
	1699957   No leave types
	1694864   cannot choose leave type
	1690784   --- No Leave Types ---
	1699577   No Uk pound in currency table


New & Changed Features for OrangeHRM ver 2.2_beta_1 (12/04/2007)

	1. Image buttons for time module


New & Changed Features for OrangeHRM ver 2.2_alpha_2 (10/04/2007)

	1. Supervisor and HR-Admin can reject, approve and cancel timesheets
	2. Employees can submit and cancel timesheets


New & Changed Features for OrangeHRM ver 2.2_alpha_1 (05/04/2007)

	1. Employee, Supervisor and HR-Admin can view timesheets and add time events


New & Changed Features for OrangeHRM ver 2.1 (Neva) (16/03/2007)

	Bugs fixed include:

	BugId     Name

	1665885   [Usability] Attachement Size
	1596013   Usability - ESS - Don't show buttons that ESS user does not
	1657475   Uploaded image is distorted when displaying
	1586350   Usability - Dependents the boxes should be better aligned
	1654845   Maintanance module in the list
	1588284   User group functionality is incomplete
	1633739   Big number formatting


New & Changed Features for OrangeHRM ver 2.1_beta_2 (Elbrus) (13/03/2007)

	Bugs fixed include:

	BugId     Name

	1674324   More fields should be editable for ESS user
	1674335   ESS: License and Memberships should be editable
	1674330   ESS: Education should be editable
	1674332   ESS: Language should be editable
	1586342   Usability - Dependents - Don't show empty tables
	1586130   Employee Info - Emergency Contact - Don't show empty table
	1586362   Usability - Immigration - Don't show empty table
	1586541   Payments - don't show the empty salary table
	1586049   Usability - No need to show empty table when No records to display
	1678900   Only 999 users can be made
	1661282   Memberships for the specified membership type
	1619862   PIM - Image upload
	1586085   Usability - Emp Info - Search by 'Description' is misleading
	1586127   Employee Information - Contact - State should be state/province
	1595871   Uploading images failure to upload and display an image should be reported


New & Changed Features for OrangeHRM ver 2.1_beta_1 (Opala) (09/03/2007)

	Bugs fixed include:

	BugId     Name
	1674602   Undefined index Qualifications
	1674707   Memberships are not retrieved
	1675454   When user cancels leave supervisor gets a notification with
	1675453   When user applies for leave supervisor gets a notification:
	1675476   meaningful error message is displayed
	1587536   Usability - Languages - user either competence or competency
	1674693   Data too long
	1661282   Memberships for the specified membership type
	1664915   Required fields not marked
	1676959   View Reports : scroll bar not working
	1622772   You cannot get reports based on Skills
	1511099   KAZUTO MIZUHARA
	1554684   PIM - Workstation
	1612883   Instalation guide doesn\'t have the Screens. Installation guide doesn\'t have the Screen shots.
	1653917   "Enter" in licese name



New & Changed Features for OrangeHRM ver 2.1_alpha_9 (Ivan) (05/03/2007)

	Bugs fixed include:

	BugId     Name
	1671396   User without subordinates also has "Assign" leave option
	1671513   Leave approval comments get displaced
	1650447   Can't Save image on Profile
	1636575   Leave First Time
	1667353   Report-to emp id link problem
	1672197   Cannot save report - Field must be selected
	1672277   Cannot Edit Children
	1665694   Cannot assign to date present experience
	1661281   Unable to edit Language skills
	1659958   Misalignment
	1664199   Undefined index: chkLocID: Liceneses
	1664193   Undefined index: chkLocID
	1663342   City Cannot be empty
	1661272   Unable to enter second dependent/child
	1661278   Unable to edit education details
	1672351   could not apply leave
	1662228   Ñ
	1653917   "Enter" in licese name
	1664180   Could not Edit Employment Status
	1664526   Some Zip code fields will not accept letters
	1619800   HR Admin must be able to reset a user's password
	1662901   Morning
	1657516   [UI]
	1656010   Only First name appears in Leave Summary
	1657481   [UI] Leave Summary - extended menu does not disappear upon clicking
	1619841   Re-ordering search results doesn\'t work
	1673909   UndUndefined variable: lang_hremp_paygrade
	1619845   Adding ESS/Admin user with duplicate user name throws mysql error
	1601108   Job Title details errors
	1603483   User is not deleted
	1595304   Deleting a nationality warning need to be consistent with other warnings
	1595300   Deleting enthic race - warning message could be improved.
	1603592   Job Details missing after entry



New & Changed Features for OrangeHRM ver 2.1_alpha_8 (Peter) (28/02/2007)

	1. HR Admin / Supervisor assign leave to employee

	Bugs fixed include:

	BugId     Name
	1669706   Unable to create user
	1669702   Unable to configure mail settings in leave module
	1670684   PIM->Languages the drop down not translated
	1670803   Undefined variable: headingInfo


New & Changed Features for OrangeHRM ver 2.1_alpha_7 (Potr) (26/02/2007)

	Bugs fixed include:

	BugId     Name
	1668779   undefined variable $employeeinformation
	1668784   Undefined variable: addempstat
	1668794   Failed to Delete
	1668800   Nationality & Race: failed to delete
	1668796   Label: Failed to Delete
	1668795   Failed to Delete: skills
	1668878   lang_Menu_Admin_EmailConfig
	1668906   Membership: Undefined variable: selectmember
	1668870   XML Parsing Error:

New & Changed Features for OrangeHRM ver 2.1_alpha_6 (Nikolaj) (23/02/2007)

	1. PIM is completely translated into Russian
	2. Mail notifications to HR Admins(configurable)

	Bugs fixed include:

	BugId     Name
	1649424   menu problem
	1666769   System Check Error with absent MySQL ext
	1666689   Missing pull down menu
	1665950   \'x\'; DROP TABLE hs_hr_compstructtree; --\';
	1665836   Company Genaral is not Vulnerable to SQL Injection
	1662150   E-mail validation
	1660564   Employee ID 000
	1659714   Error Page Seen
	1659438   Job title - Error in adding employment status to job title

New & Changed Features for OrangeHRM ver 2.1_alpha_5 (Alex) (13/02/2007)

	1. Enhanced PIM employee list. Columns are sortable
	2. PIM is partly translated into Russian

	Bugs fixed include:

	BugId     Name
	1654026   MySQL Error in Employee Leave Summary
	1656548   Unable to login
	1656000   Security Vulnerabilities
	1655111   PIM Undefined String offset error
	1654156   Invalid email validation for Email
	1654026   MySQL Error in Employee Leave Summary
	1652248   Employee List is not paged


New & Changed Features for OrangeHRM ver 2.1_alpha_4 (Ruslan) (04/02/2007)

	1. Leave Summary of all employees can be viewed by HR-Admins in one screen.
	   All functionality in previous release is preserved.
	2. Enhanced PIM employee list. New columns title, sub-division and supervisor have
       been added.


New & Changed Features for OrangeHRM ver 2.1_alpha_3 (Dima) (24/01/2007)


	1. User defined employee ID's added.
		See http://www.orangehrm.com/app/wiki/index.php/Orange_Future#User_defines_employee_id

	2. Usability related bug fixes

	BugID	Name
	1619883   Usability - Add consistant borders to edit fields
	1619870   Usability - Cannot identify which section is being edited in Employee Information
	1619863   Usability - Mark compulsary fields in bug tracker page
	1619877   Usability - Comment field in "Apply leave" should be multiline
	1619868   Usability - Validation of email fields etc.
	1587567   Usability - Company info - locations - clear does not clear all fields
	1587548   Usability - Membership - Don't show an empty table when there are no memberships defined
	1587448   Usability - Work Experience - Don't show empty tables
	1587543   Usability - License - Don't show empty table when there are no assigned licenses.
	1587524   Usability - Employee Information - Languages - Don't show empty tables
	1586478   Usability - Job - Don't show empty contracts table
	1586098   Usability - Adding a nationality - need a proper error message
	1586128   Usability - Employee Info - Contact - State1 should be 1 line
	1586087   Usability - Employee Information - link should be on emp name
	1586056   Usability - Emp Info - paging options to be left aligned



New & Changed Features for OrangeHRM ver 2.1_alpha_2 (Gleb) (17/01/2007)

	Provided that e-mail addresses are defined for employees.

	- When an ESS user applies for leave or cancels leave his/her supervisor
	will receive a notification mail.
	- When the supervisor approves/rejects leave, the employee applied for leave
	will be notified

New & Changed Features for OrangeHRM ver 2.1_alpha_1 (Vlad)(09/01/2007)

	In OrangeHRM-ver-2.1 ESS Users have the ability to apply for leave
	for multiple days.

	Further Holidays could be defined in OrangeHRM. These will be used
	when calculating leave.

New & Changed Features for OrangeHRM ver 2.0.5 (25/12/2006)

	Bugs fixed include:

	BugID    Name
	1619876  Usability - Change "Leaves list" to "Leave list"
	1588273  Edit ESS Users - Clear button does not work
	1586354  Employee Information - Not possible to remove a picture
	1586132  Usability - Employee Info - Emergency Contacts
	1619838  Back button on Change password page doesn't work


New & Changed Features for OrangeHRM ver 2.0.3 (8/12/2006)
	This is a maintenance release (bug Fixes)

	Bugs fixed includes;

	the closed bug list in this release are as follows (as maintained at SourceForge bug tracker)

		BugID	Name
		1597951	apply leave online
		1597948	cant create admin user
		1600063	Leave Module malfunction
		1599550	Apply leave from date to date
		1596002	ESS - Error in clicking back button
		1596016	ESS - Don't let user enter report-to details and then deny a
		1596014	ESS - Payments - don't let user enter values by pressing edi
		1596007	ESS - in dependents by default the text boxes are disabled.
		1601707	File inclusion failure in upgrader
		1601010	Select Past Date
		1601954	It possible to apply for leave once
		1601852	Doesnt list leave type
		1601913	Define leave type --> name field too short
		1601955	Applying for leave if half day no option to select morning o
		1586053	Adding an Employee - Middle name need not be mandatory
		1601950	Error in applying for leave
		1601965	In ESS there should be a leave summary menu option on the le
		1587529	Skills - Language - Incorrect Language
		1601974	The default view for the supervisor must be approve leave
		1602000	Employee cannot view cancelled leave
		1596006	ESS - inconsistency in the way emergency contacts are added
		1602018	Enhancement - consider giving the option to manager to mark
		1601979	Manager can\'t approve leave
		1601972	Manager view - approve leaves should be changed to approve
		1588298	In reports if you select address only 'Street 1' is displaye
		1601943	Selecting employee for leave summary for years should be ava
		1601998	Employee does not see rejected leave
		1586001	Incorrect spelling and grammar in installation guide
		1586028	Installation guide - previous button does not work properly
		1595872	Cannot upload attachment with IE6
		1595886	Attachment - browser gets stuck trying to upload large files
		1601995	New links to support and forum does not appear well in IE
		1595128	no empl.-ID . bug in popup
		1595310	  Incorrect English in report to
		1600964	employee id for report to is not populated
		1586043	Installation guide - 'Database Creation' is unclear
		1587517	Employee Info - Skills - Experience - fractions not allowed
		1586485	Job Titles - clear button does not work
		1605063	Error in database script (dbscript.sql)
		1604697	Error saving Education Info
		1602997	Company Structure Enhancement
		1602126	Spelling mistake
		1603663	Pay grade not visible in Payment tab
		1595318	Not possible to specify payments
		1601768	Error on web installation guide
		1601764	When adding pay grade error encounted.
		1609918	cannot apply form
		1601919	Deleted leave types appear in employee leave summary
		1601937	Changing entitled leave - don\'t enable changing for deleted
		1601952	Apply for leave -> button should be Apply
		1587897	Unable to enter Pay grade
		1611331	leave summary
		1602012	Need an option to go back from leave summary
		1612445	Usability - Remove word module from tabs
		1612452	Apply for date - \'From date\' should be \'Date\'
		1602181	Leave Type not visible by ESS user
		1612444	Usability - Reports tab should appear after leave tab
		1613016	City should come before state
		1613072	Saving leave when there are no status combos
		1611837	Half day leave taken to be deducted as half day.
		1586134	Usability - Employee Info - Emergency Contacts - No need of
		1600379	Leave - Problem when selecting date
		1609980	Back button is not working
		1609102	apply leave from Date to Date
		1587554	Membership types - improve wording of select box
		1587491	Education - search by name does not make sense
		1601662	we cannot able to browse the picture second time
		1595314	Display columns of a report are taken as selection critera
		1588301	In reports salary grade is shown empty
		1609011	Education Tab
		1605782	Auto notification via email
		1586035	It should not matter from where the zip file is extracted
		1612712	Usability - consistent colors and fonts must be used through
		1595307	  Unused currencies appear in currency list
		1601118	Report - Age
		1614911	Leave
		1611993	failed to add a new employee
		1588300	In reports date of birth is not shown properly
		1581173	can not input chinese
		1609083	cannot submit data
		1602996	Education can not save information
		1587730	FAQ facts are obsolete



New & Changed Features for OrangeHRM ver 2.0 (30/10/2006)

	In OrangeHRM-ver-2.0 Leave module is introduced.

New & Changed Features for OrangeHRM ver 1.2 (16/08/2006)

	The main idea behind releasing OrangeHRM-ver-1.2 is to make the application more
	usable in terms of streamlining the UIs and functionality, etc.


	Admin Module
	Streamlining functionality meant that some of the features available in previous
	releases were removed since they were not particularly useful in current feature
	specification.

	The removed features include;

	- Job profiling; (Job Descriptors, Designation Description, etc.)
	- Extra Curricular Activities
	- Bank Information
	- Cash/Non-cash Benefits
	- Tax Details

	Furthermore the terminology used previously was changed;

		+ Hierarchy Definition/Company Hierarchy was changed to Company Structure
		+ Corporate Title and Designation was combined and named as Job Title
		+ Salary Grade was changed to Pay Grade
		+ Qualifications are structured into; Education, Skills, Licenses, Languages

	Some UI enhancements include;

		+ Company Structure now features a tree hierachy to illustrate the company structure
		+ There are composite UIs which enables the user to do every thing on one page

	User/User Group creation is now moved into the Admin Module

		User
			* Users will not be able to delete the user account they have used to login
			* Users are divided into HR Admin users and Ordinary users.
					+ all HR Admin Users should belong to a User Group
					+ they can exist as an employee in PIM and have access to ESS
					+ all Normal Users should exist as Employees in PIM

		User-Groups
			* User cannot delete the user group he belongs to
			* Ability to define reports is given at the time of User Group creation.

	PIM

	now in PIM once the employee is created, all the parts of PIM that keeps track of an
	employee information can now be entered in a single page and saved at once.

	following additional records can now be kept;

		+ 	records of children
		+	records of dependents
		+	records of emergency contacts
		+	records	of licenses


New & Changed Features for OrangeHRM ver 1.0 (15/03/2006)

New Features

- PIM (employee photograph/Report To)
- ESS
- Reports

PIM;

* Employee Information now contains the facility to maintain the
employee's photograph.
Employee photograph could be included (not mandatory) while an employee
is added to
Employee Information and can also be updated (replaced) with latest
photographs in edit mode.

* Report To
This feature allows to define the report to hierarchy of all employees
(supervisors/subordinates)
and reporting type (direct/indirect); On selecting an employee, all the
supervisors/subordinates
assigned to that employee will be listed separately at the bottom of the
page. To add a new supervisor/subordinate,
simply select the supervisor/subordinate from the pop-up window that can
be opened by clicking on the button next
to the 'Employee ID' field. The reporting method should also be selected
as : direct/indirect. To edit an existing
supervisor/subordinate, click on the Employee ID of the relevant
supervisor/subordinate in the lists below
and make the necessary changes. To un-assign a supervisor/subordinate,
simply delete the supervisor/subordinate
from the relevant list.


ESS
Employee Self Service facilitates employees to edit their own personal
data without the
intervention of the HR Department. However, sensitive data would only be
displayed and would
not be editable using ESS. If the user logged in is not a HR Admin user,
then the user will be
presented with this module with his/her employee information enabling
them to edit their personal
data. (sensitive data such as salary grade, corporate tile, etc. will
remain read-only).

Note: All users are now classified as normal users and HR admin users. A
user is
considered as HR Admin if the HR Admin checkbox is selected in the user
creation form
under maintenance module. All other employees are considered as ordinary
users.

Reports
This feature produces customized reports (users will be able define
report criteria and result fields).
Different reports can be defined and stored. Reports can be generated
after providing the report criteria.
Reports can only be generated by users who belong to user groups
assigned to view those reports at the
time of report definition.

The ability to define reports depends on the user group of the currently
logged on user. If the user
group of the currently logged on user is allowed to define reports, then
the user will be displayed with
a separate tab on the sub-menu to define reports. When defining reports,
a set of selection criteria and
report fields will be provided to the user. Users can name the report,
select the relevant criteria and
required fields. After saving the reports, the user will then be asked
to assign user groups to the reports.
Only users belonging to the assigned user groups will be able to view
reports. User-groups can also be assigned
and removed at a later time once the report has been defined. This can
be done by selecting reports and clicking
on Assign User Groups to go to the Assign User Groups page.

To view a report, click on View Reports in the sub-menu and then select
the report from the list. Depending upon
the criteria defined for the report, you will be asked to enter criteria
data required to generate the report.
To summarize the report you can de-select fields (only the selected
criteria and fields during report definition
would appear in this form) and click on Generate Report.

Changed

All Admin/PIM/Maintenance
All items newly created having system generated codes may not be stored
with the same code displayed earlier.


Maintenance
User
* Users will not be able to delete the user account they have used to login
* Users are divided into HR Admin users and Ordinary users. If the Is
HR Admin
flag is selected, then all the modules (Admin, PIM, Reports, Maintenance,
Bug Tracker will be available to them). However if the Is HR Admin
flag is
not selected the user will only be given access to ESS module.

User-Groups
* Admin User group cannot be deleted
* Ability to define reports is given at the time of User Group creation.
